Mozilla Firefox 4 bêta disponible pour tests (et plus si affinités)

Posté par (page perso) . Modéré par Nÿco.
Tags :
32
25
août
2010
Mozilla
Mozilla a rendu disponible des versions bêta du navigateur Firefox 4 et appelle les volontaires à tester cette future nouvelle version. Un bouton [Réagir] en haut à droite permet d’envoyer des commentaires.

Un certain nombre de nouveauté a fait son apparition durant cette période :
  • La localisation des onglets a changé : au-dessus de la barre d'adresse et de recherche ou "awesome bar" (à l'image de Opera et Chrome)
  • Une nouvelle possibilité de d'épingler ou relâcher les onglets est proposée, elle permet de mettre des onglets en tête de liste, sans texte, mais avec juste le favicon, ces onglets épinglés n'étant pas défilables
  • Panorama (anciennement Tab Candy) est également intégré, permettant d'organiser les onglets par groupes
  • Lors de la frappe d'une adresse, il est proposé de basculer directement à l'onglet ouvert
  • Sync, l’outil de synchronisation (historique, marque-pages, onglets) est désormais inclus par défaut et permet de partager ces données entre plusieurs instances de Firefox (et l'application iPhone "Firefox Home")
  • Les vidéos HTML5 (élément ou balise video) sont mieux prises en charges, avec notamment le codec libre et ouvert WebM, ou le pré-chargement et la propriété "buffered"
  • Le gestionnaire d'extension a subit une réorganisation
  • Les extensions de type Jetpack ne nécessitent plus de redémarrage
  • Mise à jour du thème par défaut.
En outre de ces améliorations visibles, il y a des amélioration du Javascript, un démarrage plus rapide de XPCOM, Websockets, la prise en charge du multi-touch, les transitions et transformations CSS3 ainsi que le resizing et calc, la web console, Indexed DB, accès plus rapide aux propriétés du DOM, meilleur défilement grâce aux "retained layers", les boutons stop et rafraîchir ont été fusionnés, WebGL mais désactivés par défaut, un rendu des pages plus rapide grâce à la "lazy frame construction", nouveau parser HTML5, l'accélération matérielle, File API, etc.

Une multitude de détails devraient également ravir ceux qui apprécient déjà Firefox ainsi que ceux qui n’étaient pas encore convaincus. Voulez-vous aider Mozilla à « créer la prochaine version du meilleur navigateur au monde » ?
  • # N'oubliez pas de tester !

    Posté par . Évalué à  8 .

    Souvenez vous de ce billet de Pascal Chevrel (de Mozilla-Europe) publié en début d'année :

    http://www.chevrel.org/fr/carnet/?post/2010/01/09/Retour-sur(...)ébut-janvier


    Le nombre d'utilisateurs des bétas de Firefox sous les distributions libres est assez faible.


    L'utilisation de bêta est très faibles dans le monde libre, comparé au monde Windows, supposé être en moyenne moins technique.

    La qualité des gestionnaires de paquets n'y est pas étranger.
    Mais la qualité de Firefox sous ces plateformes, ainsi que la considération de Moziila envers le libre (que ce soit la MoFo, la MoCo, Mozilla Europe, ou bien les contributeurs) est à ce prix.


    À vos tests !
    • [^] # Re: N'oubliez pas de tester !

      Posté par (page perso) . Évalué à  0 .

      document non trouvé :-(
    • [^] # Re: N'oubliez pas de tester !

      Posté par . Évalué à  7 .

      'La qualité des gestionnaires de paquets n'y est pas étranger.'

      Ou plutot la presence de gestionnaire de paquets. Il n'y a que les ayatollah linuxiens qui pensent qu'ils est plus facile d'installer un logiciel sous linux que sous windows.
      Cela n'est plus facile QUE si la version du logiciel que vous voulez est dans le gestionnaire...et cela limite tres fortement toute tentative de faire cohabiter des logiciels en versions differente de celle du gestionnaire pour tout non initié.

      Sous windows les nouvelles versions ecrasent souvent l'ancienne, et deja ca c'est embetant, par contre il est toujours facile d'installer la version qu'on veut, la maniere d'installation restera la meme, et ca c'est deja mieux.
      • [^] # Re: N'oubliez pas de tester !

        Posté par . Évalué à  7 .

        Zenitram sort de ce corps !
        • [^] # Re: N'oubliez pas de tester !

          Posté par . Évalué à  0 .

          Sorts
        • [^] # Re: N'oubliez pas de tester !

          Posté par (page perso) . Évalué à  5 .

          Je me faisais la même réflexion!
          Il me pompe mes batailles habituelles!

          Il fait juste une erreur : j'ai actuellement sous Windows, et ce par défaut rien que clic clic clic des installeurs, les deux versions 3 et 4 beta, les versions beta étant par défaut dans un répertoire différent "Firefox Beta xxx", et tout est fait pour faire cohabiter les deux versions. Bossent bien chez Mozilla à ce niveau, très testeur-friendly.
          • [^] # Re: N'oubliez pas de tester !

            Posté par . Évalué à  9 .

            [...] les versions beta étant par défaut dans un répertoire différent "Firefox Beta xxx" [...]

            Les versions "Firefox Beta xxx" sont celles en "navigation privée" par défaut ? J'ai bon ?

            ~~~~~>[ ]
          • [^] # Re: N'oubliez pas de tester !

            Posté par . Évalué à  2 .

            'Il fait juste une erreur '
            Non, je n'ai pas parler de Firefox en particulier mais de l'installation de logiciels en general.
            J'ai moi meme les deux versions d'installes egalement ;p
      • [^] # Re: N'oubliez pas de tester !

        Posté par (page perso) . Évalué à  3 .

        j'ai fait le test et après avoir dézippé mon firefox beta 4, je me suis retrouvé dans la même problématique qu'avec la beta 1:
        cd firefox
        ./run-mozilla.sh ./firefox
        et hop, je me retrouve avec la 3.6.8 habituelle
        15 minutes de recherche Web pour tomber sur une flopée de bonnes âmes testeurs en galère et je me demande si je ne vais pas faire comme eux: wait and see
        • [^] # Re: N'oubliez pas de tester !

          Posté par (page perso) . Évalué à  10 .

          ./firefox -no-remote -ProfileManager
          • [^] # Re: N'oubliez pas de tester !

            Posté par (page perso) . Évalué à  3 .

            impeccable, cela fonctionne et ce message est posté avec Firefox 4.0 beta 4 sous Linux :-) , hélas en version 32 bits :-(
            • [^] # Re: N'oubliez pas de tester !

              Posté par . Évalué à  10 .

              Les bêtas de Firefox 4 sont toutes disponibles aussi en versions 64 bits. J'espère que cette bonne habitude prise récemment perdurera. Je vais pouvoir ranger mon petit script maison de compilation de Firefox... :)

              L'indispensable lien pour les binaires de la 4.0b4 en 64 bits :
              ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/4.0b4(...)
              • [^] # Re: N'oubliez pas de tester !

                Posté par (page perso) . Évalué à  3 .

                et bien c'est parfait et en cours d'utilisation. La bonne nouvelle, c'est qu'avec SunSpider, la vitesse est la même pour les versions 32 bits et 64 bits, ce qui était loin d'être le cas auparavant. Et, cherry on the cake, les performances sont très bonnes :-)
              • [^] # Re: N'oubliez pas de tester !

                Posté par (page perso) . Évalué à  6 .

                Merci beaucoup pour ton lien. Je n'ai plus assez d'XP pour te pertimenter, mais le coeur y est.
                C'est d'autant plus utile qu'à partir de la page générale, tu n'as pas le choix entre 32 et 64 bits et il te fait télécharger d'autorité la 32, sans rien te dire. Naïvement, j'avais pensé que le navigateur lui avait dit que j'étais en 64 bits, mais non...
                C'est d'autant plus regrettable que les deux fichiers (32 et 64) sont distribués sous le même nom...

                Malheureusement, le lecteur de flux RSS sage, dont je suis gros utilisateur, n'est pas encore compatible Firefox 4 :-(

                Un bon point: il a détecté mon installation précédente du navigateur Iceweasel :)
              • [^] # Re: N'oubliez pas de tester !

                Posté par . Évalué à  1 .

                Merci mille fois, j'avais buté sur cet obstacle hier :)

                niveau performances il y'a du mieux , c'est appréciable. AdBlock et NoScript compatibles de base, nikel!

                Par contre il manque un raccourci pour afficher la page des groupes d'onglets (j'ai peut-être mal regardé cela dit).
        • [^] # Re: N'oubliez pas de tester !

          Posté par . Évalué à  7 .

          Quel manque de bonne volonté ! un bon petit wine sur la version Windows, et hop ! ;-)
      • [^] # Re: N'oubliez pas de tester !

        Posté par (page perso) . Évalué à  5 .

        Même pour un non initié, installer de multiples versions d'une même application, sous MS Windows, c'est casse-gueule et sujet à surprise. Ce n'est simple qu'en apparence. Comme souvent sous les OS de chez Microsoft.
      • [^] # Re: N'oubliez pas de tester !

        Posté par . Évalué à  7 .

        Oué enfin la plupart des gens sous Windows se contentent de taper le nom du logiciel dans Google, de télécharger le premier .exe qu'ils voient et de l'installer sans chercher à comprendre.

        Et un gestionnaire de paquet n'est pas plus difficile à utiliser que ça, tout en étant plus sécuritaire.

        Article Quarante-Deux : Toute personne dépassant un kilomètre de haut doit quitter le Tribunal. -- Le Roi de Cœur

      • [^] # Re: N'oubliez pas de tester !

        Posté par . Évalué à  3 .

        Ou avoir un gestionnaire de package plus souple ou facile d'accès.

        Sous arch, je suis en nightly pour pas mal de truc (gnome,vala, chromium, firefox...) car c'est très facile de faire en sorte d'utiliser les sources ou les repos (en plus yaourt, une surcouche au package manager, permet de faire les updates automatiquement si ton repo est un svn,git ou hg :)

        Pour s'en convaincre, il suffit de regarder le fichier permettant d'avoir les nightly de firefox:
        http://aur.archlinux.org/packages/firefox-nightly/firefox-ni(...)

        Je fais donc des packages même sur ce que je code et sincèrement, quand tu fais du dev, ca permet de garder une distribution propre et c'est pas plus mal.
      • [^] # Re: N'oubliez pas de tester !

        Posté par . Évalué à  10 .


        Ou plutot la presence de gestionnaire de paquets. Il n'y a que les ayatollah linuxiens qui pensent qu'ils est plus facile d'installer un logiciel sous linux que sous windows.
        Cela n'est plus facile QUE si la version du logiciel que vous voulez est dans le gestionnaire...et cela limite tres fortement toute tentative de faire cohabiter des logiciels en versions differente de celle du gestionnaire pour tout non initié.

        Il me semble que ce que tu critiques là c'est pas la gestion de paquet mais la notion même de distribution...

        Ta distribution tu l'aimes ou tu la quittes.
        • [^] # Re: N'oubliez pas de tester !

          Posté par (page perso) . Évalué à  6 .

          Ta distribution tu l'aimes ou tu la quittes.

          Je n'ai pas assez de karma pour plusser mais ça.... c'est du grand art :)
        • [^] # Re: N'oubliez pas de tester !

          Posté par . Évalué à  5 .

          Non c'est bien la gestion de paquets, que la distribution fasse un choix de logiciel 'par défaut' soit, qu'elle ne propose rien de facile pour que je puisse faire MON choix est un problème réelement lie au déficit de processus d'installation de logiciel simple hors gestionnaire de paquet (quel que soit la distrib).
          De plus les gestionnaires de paquets ont tendance a relativement facilement exploser des qu'on passe par un autre moyen.

          C'est pas parfait sous Windows loin de la, mais Microsoft sait faire en sorte que le quidam moyen puisse installer le logiciel qu'il veut lui, et pas celui que veut la distribution.
          Pour un non technicien, la liberté est du coté de Microsoft sur le coup.
      • [^] # Re: N'oubliez pas de tester !

        Posté par . Évalué à  2 .

        Ou plutot la presence de gestionnaire de paquets. Il n'y a que les ayatollah linuxiens qui pensent qu'ils est plus facile d'installer un logiciel sous linux que sous windows.
        Cela n'est plus facile QUE si la version du logiciel que vous voulez est dans le gestionnaire...et cela limite tres fortement toute tentative de faire cohabiter des logiciels en versions differente de celle du gestionnaire pour tout non initié.


        Heu ?

        Prendre un tarball, le décompresser/détarrer dans un dossier et le lancer, c'est compliqué ? Il est même possible de le faire à la souris si ça rebute.

        Il y a quoi de plus simple sous Windows qui permette ça ?

        Et en quoi n'est-il pas possible de faire cohabiter plusieurs version ?
        • [^] # Re: N'oubliez pas de tester !

          Posté par . Évalué à  7 .

          Mouais, sauf que pour ça, il faut que les développeurs aient fait une version statique/semi-statique. Et d'expérience, c'est loin d'être si évident que tout le monde veut bien le dire.

          Sinon, c'est prendre le tarball des sources, décompresser, lancer un terminal, taper "./configure --prefix=/opt/monlogiciel_vX", se rendre compte qu'il manque une dépendance sur libYYY, l'installer à coup de apt-get install/urpmi/whatever libYYY-dev, relancer le configure, installer une autre lib manquante, puis faire make, sudo make install, modifier le .bashrc pour ajouter /opt/monlogiciel_vX/bin/ au PATH.

          Trivial, c'est sûr...
          • [^] # Re: N'oubliez pas de tester !

            Posté par . Évalué à  4 .

            se rendre compte qu'il manque une dépendance sur libYYY, l'installer à coup de apt-get install/urpmi/whatever libYYY-dev
            Mieux (ou pire, ça dépend du point de vue): la lib n'est pas non plus dans les dépôts, faut aussi télécharger ses sources et les compiler. Ça arrive sous Debian stable.

            THIS IS JUST A PLACEHOLDER. YOU SHOULD NEVER SEE THIS STRING.

            • [^] # Re: N'oubliez pas de tester !

              Posté par . Évalué à  3 .

              En même temps, installer un logiciel en béta sur une Debian stable, c'est pas un peu antinomique ?

              Article Quarante-Deux : Toute personne dépassant un kilomètre de haut doit quitter le Tribunal. -- Le Roi de Cœur

              • [^] # Re: N'oubliez pas de tester !

                Posté par (page perso) . Évalué à  6 .

                ah ces défenseurs des paquets...
                On peu vouloir avoir une machine stable et vouloir essayer un seul logiciel non stable (et le virer ensuite tout en retrouvant sa machine stable).

                Qu'est-ce qui te dérange dans l'idée de vouloir tester un logiciel instable sur une machine stable? Pourquoi vouloir limiter autant les gens?
                • [^] # Re: N'oubliez pas de tester !

                  Posté par (page perso) . Évalué à  1 .

                  Je pense que le monsieur voulait dire "mettre du neuf dans du vieux".

                  C'est comme mettre un siège neuf dans un vieux tacot ... ca fait bizarre.
                  • [^] # Re: N'oubliez pas de tester !

                    Posté par . Évalué à  4 .

                    C'est comme mettre un siège neuf dans un vieux tacot ... ca fait bizarre.
                    Pourtant, les bagnoles de plus de 10 ans avec un autoradio tout neuf, ça existe.

                    Les Windows XP avec la toute dernière version d'un logiciel, aussi.

                    Donc ouais, moi j'aimerais bien avoir une Debian super stable et des softs super récents, sans devoir me battre contre l'OS pour ça.

                    Tu vois, à la méthode Windows:
                    1) Télécharger le logiciel en version bêta,
                    2) L'installer,
                    3) ????
                    4) PROFIT !

                    THIS IS JUST A PLACEHOLDER. YOU SHOULD NEVER SEE THIS STRING.

                    • [^] # Re: N'oubliez pas de tester !

                      Posté par (page perso) . Évalué à  5 .


                      Tu vois, à la méthode Windows:
                      1) Télécharger le logiciel en version bêta,
                      2) L'installer,
                      3) ????
                      4) PROFIT !


                      Hummm, la dernière fois que j'ai dus installer un soft sur le Windows d'un collègue :
                      - j'écume le web à la recherche du site officiel du soft XXXX (un soft gratuit dont il m'avait parlé) : plein de sites proposent de le télécharger, mais comme ce ne sont pas le site officiel, il y a un risque fort que le paquet ait été bidouillé d'une manière quelconque. Donc, perte de temps pour rechercher la source.
                      - je télécharge le soft XXXX
                      - installation de XXXX : Marche pas, il faut une mise à jour du msi (Microsoft Installer)
                      - recherche du "msi" qui va bien sur le site de MS
                      - installation de XXXX : Marche pas, il faut ".NET"
                      - recherche du ".NET" qui va bien sur le site de MS
                      - installation de XXXX : Marche pas, il faut le dernier SP en date du ".NET"
                      - recherche du dernier SP de ".NET" qui va bien sur le site de MS
                      - installation de XXXX : Ca marche
                      - démarrage de l'appli, qui crash comme une grosse bouse
                      - recherche d'infos sur le message d'erreur, utilisation de "filemon" et "regmon" (outils de type "strace", mais en plus simple) pour analyser ce que fait la machine avant de planter
                      - plein de temps perdu...
                      - finalement, le problème venait d'un obscure conflit de dll, qui faisait que la dll utilisée n'était pas celle fournit avec le soft (les"règles" de chargement de dll chez MS sont assez obscures).

                      Bref, ce n'est pas toujours très simple chez MS

                      PS: Et à la question : "Pourquoi la machine n'était pas à jour", je dirais :
                      - machine non connectée à Internet, à cause des risques de virus
                      - la dernière fois que j'ai mis à jour un Windows XP ("SP0"), il m'a fallu environ 3h, en comptant tous les reboots (une douzaine ?) et toutes les mises à jours successives (une douzaine aussi: genus advantage, SP3, tout les hot fix, .NET, etc...). Et bien sûr, je ne parle pas des drivers constructeurs
                      - vrai-fausse raison, mais à noter quand même : entre un Windows "SP0" et un Windows XP3 + patchs à jour, la consommation mémoire est nettement supérieur, et le temps de boot nettement allongé. Sans compter les centaines de Mo perdu dans les C:\windows\$xxxx\ de fichiers de désinstallation des patchs...
                      • [^] # Re: N'oubliez pas de passer des mises a jours... ;)

                        Posté par . Évalué à  4 .

                        la dernière fois que j'ai mis à jour un Windows XP ("SP0"), il m'a fallu environ 3h, en comptant tous les reboots (une douzaine ?)
                        Juste sur ce point,
                        C'est un peu dingue de partir d'une version toute nue d'il y a 9 ans et penser qu'on peu rattraper toutes les mises a jour en un claquement de doigts hein...

                        en partant d'un SP0, faut pas s'ettonner...
                        La maniere dont tu le relate ferait presque penser qu'a chaque fois que t'a passél a mise à jour ca dure 3 heure.. non en fait le PC il n'avais jamais vu une mise à jour... XP date de 2001 les gars hein...
                        (sans pretendre que windows update c'est genial, hein)
                        • [^] # Re: N'oubliez pas de passer des mises a jours... ;)

                          Posté par (page perso) . Évalué à  5 .

                          C'est un peu dingue de partir d'une version toute nue d'il y a 9 ans et penser qu'on peu rattraper toutes les mises a jour en un claquement de doigts hein...

                          Le SP3 est supposé rattraper d'un coup toutes les mises à jour jusqu'au 2008/06/05 ( http://www.microsoft.com/downloads/details.aspx?displaylang=(...) ). Toutes les mises à jours (et les reboot !) successives qui ont suivit n'ont été nécessaire que pour grosso-modo la dernière année.

                          Lorsque j'upgrade une Debian de Stable à Testing, soit un "saut" de "seulement" 4 ans :
                          - j'ai doit à un seul reboot
                          - la machine est installé avec les tout derniers patchs
                          - et en plus, ce n'est pas que l'OS "nu" qui est mis à jour, mais aussi toutes les applications tierces (openoffice, firefox, etc...).

                          La maniere dont tu le relate ferait presque penser qu'a chaque fois que t'a passél a mise à jour ca dure 3 heure.. non en fait le PC il n'avais jamais vu une mise à jour...

                          C'est exact : Je réinstallais le PC "from scratch", à partir du CD de XP originel (XP ayant été acheté, je ne vois pas pourquoi j'aurai dûs installé un CD plus à jour, trouvé je ne sais où). Une fois l'OS installé, "Windows update" m'a demandé si je voulais le mettre à jour, et je l'ai laissé faire. Et c'est à partir de ce moment là que cela a duré 3h.

                          En fait, ce n'est pas tellement la durée qui me pose problème, c'est le fait que à chaque mise à jour, tu relances Windows Update", et celui-ci te dit "il y a une mise à jour". Alors que pour la mise à jour terminée 2 minutes avant, j'avais demander de TOUT mettre à jours.

                          Bref, je me serais attendu à ce qu'une seule mise à jour fasse tout le boulot d'un coup.
                          • [^] # Re: N'oubliez pas de passer des mises a jours... ;)

                            Posté par . Évalué à  -1 .

                            C'est exact : Je réinstallais le PC "from scratch", à partir du CD de XP originel
                            Tu connais pas ghost ?
                            Tu fais une image a jour, tu ne repartira que de ce point.
                            il existe des equivalents libre aussi.


                            XP ayant été acheté, je ne vois pas pourquoi j'aurai dûs installé un CD plus à jour, trouvé je ne sais où
                            Oui, bon, sinon, pour les pur et dur on peut integrer le SP3 à une iso, je l'ai jamais fais ça s'appelle du slipstreaming je crois... c'est prévu par microsoft, du coups ce n'est pas "de je ne sais où", mais c'est un autre sujet.

                            bref, c'est comme tout, et comme linux : quand on veux se donner les moyens, c'est possible de s'organiser pour que eclà ne devienne pas une galere.
                            Les defauts de windows update, on les connais, donc on s'organise ;)
                            • [^] # Re: N'oubliez pas de passer des mises a jours... ;)

                              Posté par (page perso) . Évalué à  1 .

                              Tu connais pas ghost ?
                              Tu me donnes une licence ? Nan pas la peine, j'utilise CloneZilla.

                              Tu fais une image a jour, tu ne repartira que de ce point.
                              il existe des equivalents libre aussi.

                              Il ne te vient pas à l'esprit que la précédente sauvegarde ne convenait plus, car les besoins de l'utilisateur avaient changés ? Passage de MSOffice à OpenOffice notamment. Plus tout un tas d'applis "métier" qui étaient sur le dernier backup, et qui n'avaient plus de raison d'être.
                              Plutôt que de trainer toutes sortes de vieux débits de softs incomplètement désinstallés (si le "uninstall" de MS marchait réellement, il ne resterait pas tant de m... dans la base registre), il vaut mieux dans ce cas tout réinstaller from scratch.
                              • [^] # Re: N'oubliez pas de passer des mises a jours... ;)

                                Posté par . Évalué à  1 .

                                c'est la purge là...
                                gna gna uninstall, gna gnaun tas de débris...
                                c'est pas le sujet.

                                Je dis juste qu'il existe des moyens technologiques (ya pas que ghost, je l'ai cité car étant un des plus connu, certains utilisent le verbe "ghoster")
                                Bref,

                                je crois que tu te trompe de combat, je ne suis la le grand fan de windows... donc arret de faire le gamin deux minutes.

                                on dirait que tu trouve tous les pretextes pour cracher sur windows, tu sais que c'est inutile ici, la cause est acquise.

                                et maintenant pour repondre (normalement c'est inutile, tellement c'est simple, mais il faut le dire sous pretexte de me voir accusé de troller sans argument)
                                Alors tu ne veux pas te trainer tout pleins d'applications moisie... ok ben i lsuffit de faire l'image du systeme a jour (win upd) mais avant d'installer les soft.
                                au prochain plantage, (ce qui ne devrait tarder car microsoft c'est tout naze, bou le vilain) tu remontes l'image, tu fait les mises a jour, tu réinstalle les soft.

                                Et avec un peu de dicipline et en faisant marcher ses neurones, il ne devrait jamais y avoir 3 heures de windows update.

                                PS:
                                Tu sais on peu être fan de linux, et ne pas être de mauvaise foi.
                                il y a plein de gens qui font sans linux, certains d'entre eux (en milieu professionel) on aussi developpé des procedures, techniques, best practices qui permetent de s'en sortir avec windows. Comme toi tu as apris les techniques (pour d'autre sujet) avec linux.
                                • [^] # Re: N'oubliez pas de passer des mises a jours... ;)

                                  Posté par . Évalué à  1 .

                                  oulà, gros oublis de ma part sur la procedure :

                                  J'ai écrit
                                  tu remontes l'image, tu fait les mises a jour, tu réinstalle les soft

                                  j'ai oublié un truc, il fallait lire :
                                  tu remontes l'image, tu fait les mises a jour, tu refais l'image, tu réinstalle les soft
                                • [^] # Re: N'oubliez pas de passer des mises a jours... ;)

                                  Posté par (page perso) . Évalué à  5 .

                                  Je vais recadrer le contexte:
                                  - au début de ce troll, un utilisateur a prétendu qu'installer n'importe quel soft sous windows était trivial, et qu'il ne fallait que cliquer
                                  - j'ai répondu, par mon exemple que tout n'était pas aussi simple (problème de dépendances multiples, incompatibilité entre les dll, etc...)
                                  - j'ai indiqué dans un PS que les mises à jours de Windows n'était pas une sinécure, et la discussion est parti en vrille à propos des méthodes "ghost" (utilisons cela en tant que terme générique).

                                  Pour information, je connais parfaitement ce genre de mécanisme, puisqu'en 95 j'avais déjà développé mon propre système de backup/restauration de machine, pour le parc informatique d'une école. A l'époque, le ghost de Symantec n'existait pas (ou du moins je n'en n'avais pas connaissance), et mon mécanisme fonctionnait à partir de disquette NetBIOS (multi-interfaces réseau, à cause de l'hétérogénéité du parc), de "rar", d'un soft pour backuper les "noms longs" (rappel : C'était sous Windows 95, les noms longs venaient d'apparaître...), et de quelques outils développé par moi. Une disquette, un menu pour sélectionner le nom de la machine à restaurer, et le disque était réinitialisé.

                                  Quand à mon niveau de compétence:
                                  - J'ai été 100% sur OS MS pendant 10 ans. Puis, j'en ai eu marre de ne pas pouvoir faire confiance dans un OS qui passait son temps à m'espionner
                                  - d'un point de vue personnel, je suis passé au "tout Linux" par moi-même, à l'époque où je n'avais qu'un modem 33kb, et que les connexions RTC coutaient chères. Et cela fait 10 ans que je n'ai pas de Windows chez moi.
                                  - mais durant ces 10 dernières années, mon boulot est de faire 8 à 10h par jours de l'administration et du support en environnement 100% Microsoft (enfin presque, je m'occupe aussi de trucs sous vxWork, SunOS (Unix) et un tout petit peu de Linux)

                                  Alors, même si je suis un défenseur de Linux, je ne suis pas complètement un novice en terme de connaissance de Windows. Et crois-moi, je suis confronté régulièrement à des comportements complètement bizarres de Windows, qui ne sont pas que le fait des utilisateurs.
                      • [^] # Re: N'oubliez pas de tester !

                        Posté par (page perso) . Évalué à  1 .

                        - machine non connectée à Internet, à cause des risques de virus

                        N'importe quoi.
                        débranche ton Linux du net aussi, le problème étant surtout l'interface chaise-clavier au niveau virus. Les virus sous Linux existent aussi. Surtout un Linux de 2001 plus maintenu (alors que Windows XP est maintenu, les SP ne cassant pas la compatibilité avec les logiciels) doit aussi avoir ses petites failles par défaut... Quand tu es sur le net, tu as une machine à jour au niveau sécurité (donc WinXP SP3 ou un Linux qui ne date pas de 2001), c'est tout.

                        - la dernière fois que j'ai mis à jour un Windows XP ("SP0"), il m'a fallu environ 3h,

                        Tu as déjà essayé de mettre à jour un Linux de 2001 vers sa version de 2010?

                        - vrai-fausse raison, mais à noter quand même : entre un Windows "SP0" et un Windows XP3 + patchs à jour, la consommation mémoire est nettement supérieur,

                        La consommation mémoire d'un Linux de 2010 est nettement supérieure à celle d'un Linux de 2001. Et?

                        ***

                        Sinon, tu as déjà essayé d'installer un logiciel de 2010 sur un Linux d'il y a 9 ans?
                        Tu critiques Windows pour ce scénario, tu oublies juste de comparer Linux avec le même scénario. Quand on connait la conclusion qu'on veut, c'est facile de faire le protocole de test qui va dans cette direction.
                        • [^] # Re: N'oubliez pas de tester !

                          Posté par . Évalué à  1 .

                          Tatata.

                          T'installe une debian stable et t'es pépère avec ton vi et ton bash pour 40 ans mon pote.
                          A partir de là, je vois pas l'intérêt d'installer une FF beta alors que j'ai mon Lynx qui ronronne. Ou alors faudra qu'il fournisse une version "curses" en .deb aux ptits oignons et sans bugs.
                        • [^] # Re: N'oubliez pas de tester !

                          Posté par . Évalué à  3 .

                          - machine non connectée à Internet, à cause des risques de virus

                          N'importe quoi.


                          Du tout, si la machine est encore en SP0, c'est tout à faire réaliste.

                          Article Quarante-Deux : Toute personne dépassant un kilomètre de haut doit quitter le Tribunal. -- Le Roi de Cœur

                          • [^] # Re: N'oubliez pas de tester !

                            Posté par (page perso) . Évalué à  1 .

                            Du tout, si la machine est encore en SP0, c'est tout à faire réaliste.

                            Oui, une machine en SP0 subira les foudres des virus au bout de quelques minutes si la virulence de la chose n'a pas changé depuis quelques années.
                            Mais je doute qu'un Linux de 2001 tienne plus longtemps, Linux a eu ses failles aussi.

                            Un Windows XP a jour (donc non SP0!) n'a pas de problèmes. C'est le B.A.-BA de l'informatique que de mettre à jour, et on le dit aussi pour Linux.
                            Mieux : un Windows XP est encore officiellement supporté par MS. Un Linux de 2001, à part une RH...

                            Comparons ce qui est comparable, ne faisons pas un procès dont le seul but est d'arriver à le conclusion qu'on veut.
                            • [^] # Re: N'oubliez pas de tester !

                              Posté par . Évalué à  2 .

                              Elle subira les foudres des virus si elle n'est pas derrière un routeur, et si l’on utilise ie. Un XP d’sp0, en NAT derrière un routeur ne sera pas accessible à une certaine partie des attaques, et avec un autre navigateur qu’ie on ferme l’accès à l’autre vecteur principal d’attaque, et cette machine en sp0 restera clean jusqu’au premier téléchargement d’une appli sur un site de oirez.

                              Depending on the time of day, the French go either way.

                            • [^] # Re: N'oubliez pas de tester !

                              Posté par . Évalué à  1 .

                              Je n'ai pas dit que Linux était mieux de ce point de vue, ni même parler de Linux.
                              Tu dis que c'est n'importe quoi de ne pas la connecter à Internet à cause des virus, je ne fais que te dire le contraire, il y a eu des tests là dessus (mets une installation fraîche de Windows sur Internet, elle est vérolée au bout de quelques minutes).

                              C'est un peu lourd, dès que tu lis une critique de Windows, tu tentes de relativiser en comparant à Linux, mais ça ne diminue en rien le problème.

                              Article Quarante-Deux : Toute personne dépassant un kilomètre de haut doit quitter le Tribunal. -- Le Roi de Cœur

                              • [^] # Re: N'oubliez pas de tester !

                                Posté par (page perso) . Évalué à  2 .

                                mets une installation fraîche de Windows sur Internet, elle est vérolée au bout de quelques minutes

                                Non, tu mets une version pas à jour de Windows XP, oui, mais pareil pour un Linux pas à jour.
                                Celui qui installe Windows XP le fait avec un CD de Windows XP correct (soit SP3 inclus), et elle n'est pas vérolée.

                                Arrêtez de sortir des trucs sur Windows qui ont le même problème avec Linux (ne jamais mettre une vielle distro sur le net non plus)

                                C'est un peu lourd, dès que tu lis une critique de Windows, tu tentes de relativiser en comparant à Linux, mais ça ne diminue en rien le problème.

                                Non, ça ne le diminue pas : une vielle version de Windows XP ou Linux aura des problèmes, pareil.
                                Une version maitnenue de Windows XP et de Linux n'aura pas de problème.

                                N'augmente pas les problèmes chez l'OS que tu n'aimes pas en faisant croire que Linux n'a aucun trou, c'est faux.
                                • [^] # Re: N'oubliez pas de tester !

                                  Posté par (page perso) . Évalué à  6 .

                                  Non, tu mets une version pas à jour de Windows XP, oui, mais pareil pour un Linux pas à jour.
                                  [...]
                                  Arrêtez de sortir des trucs sur Windows qui ont le même problème avec Linux (ne jamais mettre une vielle distro sur le net non plus)

                                  Au jour d'aujourd'hui (2010/08/26), tu mets des versions de 2001 et non mises à jour de Windows XP et Linux, et tu comptes le nombre d'infections :
                                  - pour le Windows, ce sera effarant
                                  - pour le Linux, vu le nombre ridicules de virus qui circulent sur le net, et le peu de ports ouverts par défaut, tu ne verras aucune infection.
                                  • [^] # Re: N'oubliez pas de tester !

                                    Posté par . Évalué à  0 .

                                    Ben oui, qu'est-ce que tu veux, un pirate va pas passer son temps a se concocter un virus au ptit poil pour 15 péquins alors qu'il peut cibler des centaines de millions.
                                    Rien d'étonnant.
                                    • [^] # Re: N'oubliez pas de tester !

                                      Posté par . Évalué à  5 .

                                      Juste pour ma culture, peux-tu me pointer vers un exploit, applicable à une ubuntu de base de 2001, qui ne nécessite pas d’action de l’utilisateur (genre ouvrir un .sh en pièce jointe ou aller sur http://crack.me ), donc juste avec les services de base ? (non, apache n’est pas un service de base)
                                      • [^] # Re: N'oubliez pas de tester !

                                        Posté par . Évalué à  7 .

                                        J'avoue que j'en serais bien incapable étant donné que le projet Ubuntu a démarré en 2004.
                                        • [^] # Re: N'oubliez pas de tester !

                                          Posté par . Évalué à  1 .

                                          Bon, alors la Mandrake de l’époque…
                                          • [^] # Re: N'oubliez pas de tester !

                                            Posté par . Évalué à  1 .

                                            Ah desolé pas moyen de récupérer une version de cette date non plus étant donné que le support ne va pas au delà de 2004.
                                            http://www2.mandriva.com/fr/support/lifecycle/
                                            Peut-être avec webarchive.
                                          • [^] # Re: N'oubliez pas de tester !

                                            Posté par . Évalué à  3 .

                                            C'est une blague? Il y a des tonnes d'exploits a distance publies depuis 2001, une simple recherche google t'en donne un paquet.

                                            Par ailleurs, pas d'action de l'utilisateur, ca compte si on utilise simplement un logiciel d'IM/IRC? (genre pidgin/gaim/etc). Samba et OpenSSH, ca fait partie des services par defaut?

                                            Sinon il y a des jolies vulnerabilities dans les libs systeme aussi, genre libxml2. On peut s'amuser avec ca aussi...
                                            • [^] # Re: N'oubliez pas de tester !

                                              Posté par . Évalué à  4 .

                                              > Il y a des tonnes d'exploits a distance publies depuis 2001
                                              Sur des services de base, et qui vont plus loin que « bon, j’ai réussi à faire segfaulter le programme, donc ya un buffer overflow, donc il y a un hypothétique moyen théorique de le transformer éventuellement en exploit » ?
                                              À la limite, j’ai ça : http://secunia.com/advisories/12921/. Mais on est dans le « hypothétiquement exploitable », là.

                                              > ca compte si on utilise simplement un logiciel d'IM/IRC
                                              Non, le but est de faire comme Windows : tu installes la version de base, sans mettre à jour, tu te connectes à internet sans FW/antivirus/whatever. Es-tu vulnérable ?

                                              >Samba et OpenSSH, ca fait partie des services par defaut?
                                              Aucune idée, j’ai pas de distrib user-friendly sous la main, donc je ne peux te dire quels services sont activés par défaut. Mais ça m’étonnerait un peu qu’il y ait un sshd ou un serveur samba de base.
                                              • [^] # Re: N'oubliez pas de tester !

                                                Posté par . Évalué à  5 .

                                                Bon, d'apres mes recherches, les mandrakes de l'epoque ont un paquet de services tournant en root et demarres par default, dont samba, cups et openssh.

                                                Et ces versions sont trouees, avec exploitation a distance pour samba et openssh (et pas theorique, hein).

                                                Mais bon, c'est du troll a la base tellement c'est debile de croire qu'installer une mandrake/redhat/suse qui date de 9 ans c'est infiniment plus secure que du windows.
                        • [^] # Re: N'oubliez pas de tester !

                          Posté par (page perso) . Évalué à  3 .

                          >Les virus sous Linux existent aussi.

                          Certains de tes arguments peuvent paraître intéressants aux âmes égarées, mais des phrases comme celle-ci, même si elle sont vraie dans l'absolu puisqu'il existe quelques bestioles de laboratoire, mettent en exergue de façon éclatante ta mauvaise foi. Merci.

                          Quelle est la proportion d'utilisateurs régulier de linux confrontés à des virus ?
                          Réponse suite à un sondage rapide et non représentatif dans mon lug, autour de mois et auprès des néophytes que j'ai équipé en linux : 0%
                          • [^] # Re: N'oubliez pas de tester !

                            Posté par . Évalué à  2 .


                            Quelle est la proportion d'utilisateurs régulier de linux confrontés à des virus ?

                            Oui et si on retire les 4 derniers mots de ta question, on saisit mieux la réponse.

                            Ah au fait Android, c'est pas un linux traficoté de toutes parts.
                            Exempt de virus et autres malwares hein ?
                            http://www.itespresso.fr/tapsnake-sous-android-lapplication-(...)
                          • [^] # Re: N'oubliez pas de tester !

                            Posté par (page perso) . Évalué à  1 .

                            Réponse suite à un sondage rapide et non représentatif dans mes amis, autour de moi et auprès des néophytes que j'ai équipé en windows : 0%

                            Après, les gens que je connais évitent d'ouvrir les pièces jointes du spam et laissent les MAJ automatiques (logique non?)

                            faut arrêter avec le fantasme des virus sous Windws d'une, et de deux si tout le monde va sous Linux car pas de virus, ben il y aura des virus sous Linux dans les spams, critique Windows juste parce que les auteurs de spams s'intéressent à eux et aimer Linux juste parce que ça vaut pas le coup pour les auteurs de spam, c'est moyen comme argument. Et surtout non viable à terme (si Linux prend du succès)
                            • [^] # Re: N'oubliez pas de tester !

                              Posté par (page perso) . Évalué à  2 .

                              Mais oui, les virus sous linux sont possibles. Ils sont juste absents. Le reste, c'est chiqué.

                              Quand au sondage rapide des utilisateurs de windows autours de moi : au moins 80% d'histoire avec les anti-virus et autres armures moyenâgeuses, et au moins autant d'histoire avec des virus.
                        • [^] # Re: N'oubliez pas de tester !

                          Posté par . Évalué à  1 .

                          je veux pas trop rentrer dans le débat parce que tu as globalement raison mais....

                          Tu as déjà essayé de mettre à jour un Linux de 2001 vers sa version de 2010?

                          Oui, mais en même temps, c'est un peu leur faute si tout le monde est bloqué avec un système de 2001, non?

                          S'ils fournissaient des mises à jours un peu moins cher, un peu plus souvent et une peu mieux, il n'y aurait plus grand monde sous XP.

                          Ce que je veux dire, c'est que peu de monde a un linux de 2001 (sur le desktop j'entends) car tout le monde a mis à jour vers une version plus récente.

                          Donc si j'étais de mauvaise foie, je dirais qu'il faut 30min (le temps de l'install d'une distrib) pour passer d'un linux de 2001 à 2010...
                        • [^] # Re: N'oubliez pas de tester !

                          Posté par (page perso) . Évalué à  2 .

                          débranche ton Linux du net aussi, le problème étant surtout l'interface chaise-clavier au niveau virus. Les virus sous Linux existent aussi.

                          Soyons sérieux : Compare la bibliothèque de virus qui fonctionne sous Windows à celle qui existe sous Linux, et tu verras que le risque se trouve très largement en faveur de Windows.

                          Vis à vis des vers (virus qui attaquent de manière autonome la machine, en profitant d'un trou de sécurité dans un démon qui écoute sur le réseau), tu peux configurer un Linux pour avoir ZERO port en écoute ("netstat -taupn" vide). Ce n'est pas possible de faire la même chose sous Windows ("netstat -an" non vide). Les ports non fermés étant la cible des vers.

                          Tu as déjà essayé de mettre à jour un Linux de 2001 vers sa version de 2010?
                          Et quel serait l'intérêt ?
                          Linux, que ce soit une version de 2001 ou de 2010, je peux l'avoir gratuitement et de façon parfaitement légale. Donc, si la machine le permet, autant prendre la dernière version.
                          Windows, je l'ai acheté ~100€ en 2001. Si je veux passer à la dernière version (Seven), il faut que je repaye. Et, personnellement, je ne vois pas l'intérêt de Seven par rapport à XP.

                          La consommation mémoire d'un Linux de 2010 est nettement supérieure à celle d'un Linux de 2001. Et?

                          Tu as mal lu ma phrase :
                          - Je ne comparais pas un Windows XP de 2001 et un Windows Seven de 2010
                          - je comparais un Windows XP de 2001 non mis à jour et le même Windows XP mis à jour. Et après cette "simple" mise à jour, les performances de la machine chutent.

                          En 2001, j'avais une "Mandrake xx". Avec ses dernières mises à jours (grosso-modo 2 ans plus tard), l'OS n'était pas spécialement plus lent.
                          Quand à un changement Mandrake xx à Mandriva 10.10, ce n'est plus une mise à jour, mais... un changement de version (ce qui n'était pas mon propos).
                          • [^] # Re: N'oubliez pas de tester !

                            Posté par . Évalué à  4 .

                            Ce n'est pas possible de faire la même chose sous Windows ("netstat -an" non vide). Les ports non fermés étant la cible des vers.

                            Inutile, le firewall bloque les ports par defaut, ils sont donc inatteignables, tout comme sous Linux.

                            Et quel serait l'intérêt ?
                            Linux, que ce soit une version de 2001 ou de 2010, je peux l'avoir gratuitement et de façon parfaitement légale. Donc, si la machine le permet, autant prendre la dernière version.


                            XP SP3 c'etait quoi ? 2008 ? Passes donc un Linux de 2001 a 2008, et regardes le resultat.


                            je comparais un Windows XP de 2001 non mis à jour et le même Windows XP mis à jour. Et après cette "simple" mise à jour, les performances de la machine chutent.

                            En 2001, j'avais une "Mandrake xx". Avec ses dernières mises à jours (grosso-modo 2 ans plus tard), l'OS n'était pas spécialement plus lent.
                            Quand à un changement Mandrake xx à Mandriva 10.10, ce n'est plus une mise à jour, mais... un changement de version (ce qui n'était pas mon propos).


                            XP SP3 = 2008, derniere update de Mandrake = 2003 comme tu le dis, merci pour la franche rigolade.

                            Passe XP a XP SP1, et compare avec ca si tu veux faire une comparaison honnete.
                      • [^] # Re: N'oubliez pas de tester !

                        Posté par . Évalué à  1 .

                        Pas mal, tu parles des .msi qui est le seul système de paquets de Windows et qui est essentiellement utilisé par les softs M$ et autres compères à leur solde.
                        Tu parles également des dépendances à des librairies qui est la vraie plaie sous Linux en comparaison des Macs.

                        Belle critique de système de paquets et de dépendances. A un moment j'ai crû que tu parlais de Linux.

                        Sauf qu'on te parle d'exe auto-extractibles qui ont tout ce qu'il faut out-of-the box et FF en fait partie.
                        Ca existe sous Linux de manière portable ca ?
                        • [^] # Re: N'oubliez pas de tester !

                          Posté par (page perso) . Évalué à  1 .

                          Pas mal, tu parles des .msi qui est le seul système de paquets de Windows et qui est essentiellement utilisé par les softs M$ et autres compères à leur solde.

                          Ah bon ? La dernière fois que j'ai discuté avec un dev qui bossait sous environnement Windows (mais il ne bossait pas pour MS), il me vantait les avantage du ".msi", et me disait que c'était très facile à créer pour faire un package d'installation.

                          Ca existe sous Linux de manière portable ca ?
                          Il suffit que le dev veuille bien se donner la peine de faire un soft "portable", en mettant toutes les librairies nécessaire dans le .tgz. J'en connais au moins un : http://filezilla-project.org/

                          Tu décompresses cela dans le ~/, ou le /usr/local/, ou le /opt/ et cela marche tout seul.
                          • [^] # Re: N'oubliez pas de tester !

                            Posté par . Évalué à  1 .

                          • [^] # Re: N'oubliez pas de tester !

                            Posté par . Évalué à  8 .

                            J'attends ta contribution avec impatience pour Wormux!

                            On fait grosso modo ce que tu dis pour le fichier qu'on peut trouver ici : http://www.wormux.org/phpboost/download/download-4+wormux-0-(...)

                            On utilise même le ld.so du système sur lequel on génère le 'paquet', histoire qu'on soit vraiment sûr que la liaison dynamique se fasse de la même façon.

                            Je dirait simplement que ça ne marche pas. On pense ne plus le faire pour les prochaines versions.

                            Les raisons sont multiples :
                            - la lib client pulseaudio n'est pas forcément compatible avec le serveur pulseaudio de l'utilisateur (a priori, ils communiquent directement par segment mémoire partagé, et quand le format des données changent, impossible d'avoir du son).
                            - il y a peut-être des blagues du même style pour X, on a déjà eu des comportements bizarres sur de la transparence qu'on a absolument pas compris.
                            - pour les traductions, il n'y a pas de variables d'environnement pour dire à gettext d'aller les chercher à un endroit précis, et apparemment il peut y avoir des conflits entre des versions de lib embarquées et les traductions du système.
                            - et d'autres problèmes que nous n'avons pas compris... on observe notamment sur certaines machines un crash à l'initialisation du réseau avec ce "paquet"
                            • [^] # Re: N'oubliez pas de tester !

                              Posté par (page perso) . Évalué à  4 .

                              Je dirait simplement que ça ne marche pas.

                              Chut. Ceux qui ont essayé disent qu'en pratique ça ne marche pas, et ceux qui n'ont pas essayé disent qu'en théorie ça marche et continueront de faire la morale "Linux n'a aucun défaut" quoi qu'on dise...
                              Je rajoute des crash inexpliqués lors d'une compilation sur une version de Debian et l'exécution sur une autre version de Debian avec le même CPU tout ça.

                              J'aurai dû poser un copyright sur "ça ne marche pas"!
                              • [^] # Re: N'oubliez pas de tester !

                                Posté par . Évalué à  2 .

                                Et là on va en voir un débarquer avec ses gros sabots:

                                "Evidemment , c'est pas le boulot des devs de packager, il faut faire confiance aux mainteneurs de distrib O_o"
                                • [^] # Re: N'oubliez pas de tester !

                                  Posté par (page perso) . Évalué à  2 .

                                  Auquel on répondra comme d'hab que Wormux Debian est en version 0.8 alors que la version officielle est 0.9, et que comme le code réseau est incompatible (si j'ai bien compris), c'est embêtant... Faudrait changer de distrib tout en risquant de tout casser pour le reste juste pour jouer à un jeu
                                  • [^] # Re: N'oubliez pas de tester !

                                    Posté par . Évalué à  3 .

                                    Et comme d’habitude, on répondra que les utilisateurs de Debian SAVENT qu’ils auront des trucs périmés. Ils assument.
                                    • [^] # Re: N'oubliez pas de tester !

                                      Posté par . Évalué à  5 .

                                      C’est malin ! C’est pas tous les jours qu’on a l’occasion de voir un troll qui s’auto-entretient, c’était magique.
                      • [^] # Re: N'oubliez pas de tester !

                        Posté par . Évalué à  0 .

                        c'est bien connu, pourtant: "no pain, no gain!" :)
                      • [^] # Re: N'oubliez pas de tester !

                        Posté par (page perso) . Évalué à  2 .

                        la dernière fois que j'ai mis à jour un Windows XP ("SP0"), il m'a fallu environ 3h

                        Seulement 3h ? La dernière fois que je l'ai fait, c’était beaucoup plus long, et c’était une version pirate avec un des service pack déjà intégrés.

                        DLFP >> PCInpact > Numerama >> LinuxFr.org

                  • [^] # Re: N'oubliez pas de tester !

                    Posté par (page perso) . Évalué à  1 .

                    Plein de monde a FF3 sous Windows XP, voire FF4beta ou Chrome d'il y a 3 mois dessus.
                    Windows XP a 9 ans, plus vieux que la dernière Debian Stable... Faut croire qu'il faut être linuxien pour trouver normal des limitations de ce genre, perso je n'arrive pas à comprendre "ça fait bizarre".
                    • [^] # Re: N'oubliez pas de tester !

                      Posté par (page perso) . Évalué à  0 .

                      Ca doit pas être la joie chez toi tout les soirs ... second degré, humour, ...
                    • [^] # Re: N'oubliez pas de tester !

                      Posté par . Évalué à  5 .

                      >ah ces défenseurs des paquets... [https://linuxfr.org/comments/1155901.html#1155901]

                      Je vois pas le rapport avec le reste de ta phrase. C'est pas parce qu'on défend le système de gestion de paquets qu'on se pose forcément des limites de « stabilité » à la Debian. L'inverse est faux aussi, c'est pas parce qu'on aime pas le système de gestion de paquet qu'on se permet d'avoir un système « instable ».

                      >Faut croire qu'il faut être linuxien pour trouver normal des limitations de ce genre

                      Non, je ne trouve pas normal les limitations de Debian et je connais nombre de gens qui pense la même chose (viens faire un tour sur le channel IRC de ArchLinux) et pourtant je suis ardent défenseur du Libre et de GNU/Linux.


                      Arrête de confondre « utilisateurs de Debian » et « utilisateurs de GNU/Linux ».
                      • [^] # Re: N'oubliez pas de tester !

                        Posté par . Évalué à  5 .

                        Non, je ne trouve pas normal les limitations de Debian et je connais nombre de gens qui pense la même chose (viens faire un tour sur le channel IRC de ArchLinux)

                        C'est pour ça qu'Arch n'est pas utilisée en entreprise.

                        Article Quarante-Deux : Toute personne dépassant un kilomètre de haut doit quitter le Tribunal. -- Le Roi de Cœur

                • [^] # Re: N'oubliez pas de tester !

                  Posté par . Évalué à  2 .

                  Dans mon esprit, utiliser une Debian stable revient à avoir un besoin particulier de fiabilité, donc je vais éviter de la corrompre avec des logiciels en cours de debuggage.

                  Article Quarante-Deux : Toute personne dépassant un kilomètre de haut doit quitter le Tribunal. -- Le Roi de Cœur

                  • [^] # Re: N'oubliez pas de tester !

                    Posté par (page perso) . Évalué à  4 .

                    Ben oui mais tu peux avoir un système fiable, mais quand même vouloir installer la dernière version d'un logiciel.

                    Je sais pas, prend un graphiste qui bosse sur une debian stable parce qu'il a pas envie d'avoir un système qui plante au milieu de la journée. Ben il a quand même envie d'utiliser la dernière version de Gimp pour ses nouvelles fonctionnalités.
                    Ca serait vraiement bête de devoir passer tout le système en unstable juste pour avoir une version tout récente de Gimp.

                    Après oui, il y a les backports, mais si je me souviens bien, ça reste assez limité à certains logiciels.
                    • [^] # Re: N'oubliez pas de tester !

                      Posté par (page perso) . Évalué à  -2 .

                      Un graphiste qui utilise Debian Stable !? Gimp existait déjà quand Debian Stable est sorti ?
                    • [^] # Re: N'oubliez pas de tester !

                      Posté par . Évalué à  2 .

                      C'est quoi ce troll en plein Jeudi ?

                      Ton exemple du graphiste est mauvais : ton graphiste veut Gimp sur un ordinateur sans trop de bugs ? Il installe Arch/Sid/Fedora et se contente d'y ajouter un unique paquet Gimp. Fin de l'histoire.

                      La stabilité prend plus de sens quand il s'agit, par exemple, d'un serveur faisant tourner 24/7 une application PHP/MySQL ou autre. Ton client veut utiliser la dernière version de l'application ? Tu dois te taper la mise à jour et la reconfiguration manuelle de MySQL, php.ini et Apache. C'est un peu plus long que d'installer le dernier wesnoth ou Gimp et personnellement je n'ai pas envie de passer tous mes après-midi à ré-écrire mon httpd.conf.
                      • [^] # Re: N'oubliez pas de tester !

                        Posté par (page perso) . Évalué à  3 .

                        Admettons qu'il utilise Fedora ou Ubuntu, ça ne change pas le problème.
                        Gimp n'a pas l'air de fournir des RPM/DEB pour ses dernières versions (source tar.bz2 pour linux, par contre y'a des binaires windows et mac). Donc tu ne peux pas installer si tu ne maîtrise pas un tant soit peu.

                        Quand à ArchLinux, j'en ai une d'installé, mais c'est loin d'être trivial à utiliser pour un non-technicien.

                        Par contre, je trouve que la philosophie de ArchLinux est bonne. Ca serait bien qu'Ubuntu ou Fedora distribue une partie de ses paquets en "rolling release". Par exemple Firefox, OpenOffice et les autres logiciels pour utilisateurs moyens. Après j'imagine que ça n'est pas simple (dépendances, toussa).
                        • [^] # Re: N'oubliez pas de tester !

                          Posté par . Évalué à  1 .

                          Oui mais là, on va te sortir l'argument suprême:
                          "Linux c'est pas fait pour les newbies, z'ont qu'à rester sous l'OS castrateur ces casses-burnes"

                          Aucune compassion, ces linuxiens.
                        • [^] # Re: N'oubliez pas de tester !

                          Posté par (page perso) . Évalué à  2 .

                          Par contre, je trouve que la philosophie de ArchLinux est bonne. Ca serait bien qu'Ubuntu ou Fedora distribue une partie de ses paquets en "rolling release".

                          Hum, comment dirais-je ? Ha, oui, ça me revient : Sid.
                          • [^] # Re: N'oubliez pas de tester !

                            Posté par (page perso) . Évalué à  3 .

                            http://packages.debian.org/search?keywords=iceweasel&sea(...)
                            iceweasel : 3.5.11-2

                            http://packages.debian.org/search?keywords=chromium-browser&(...)
                            chromium : 5.0

                            On parle ici de Firefox 4 (beta) et chromium est en version 7.0 depuis quelques temps.
                            Loins de moi l'idée de blâmer les mainteneurs debian (ils ont probablement beaucoup de boulot), mais c'est vrai que sous windows, tu va sur le site du projet et tu télécharge le binaire le jour où il sort.

                            Et ne viens pas me parler d'experimental pour un utilisateur non-experimenté.
                            • [^] # Re: N'oubliez pas de tester !

                              Posté par . Évalué à  2 .

                              Google est une entreprise, elle a les moyens de payer des développeurs.

                              Debian est une organisation qui doit à la fois maintenir une distribution avec 25 000 paquets et en préparer la version suivante, en restant extrêmement prudente sur les questions de licence et de libre.

                              Debian, c'est 1000 personnes. Google, avec ses milliards, ça m'etonnerait qu'il n'y en ait que 1000.

                              En gros, tu veux quelque chose, faut aider.

                              Article Quarante-Deux : Toute personne dépassant un kilomètre de haut doit quitter le Tribunal. -- Le Roi de Cœur

                              • [^] # Re: N'oubliez pas de tester !

                                Posté par (page perso) . Évalué à  2 .

                                En gros, tu veux quelque chose, faut aider.

                                Ou prendre un autre OS, qui lui permet la chose, c'est plus rentable.
                                • [^] # Re: N'oubliez pas de tester !

                                  Posté par . Évalué à  2 .

                                  Oui, mais faut payer.

                                  Article Quarante-Deux : Toute personne dépassant un kilomètre de haut doit quitter le Tribunal. -- Le Roi de Cœur

                                  • [^] # Re: N'oubliez pas de tester !

                                    Posté par (page perso) . Évalué à  2 .

                                    Admettons 100€ pour Windows.
                                    Au SMIC, c'est 1.5 jour.
                                    Contre combien de temps pour "En gros, tu veux quelque chose, faut aider."?
                                    Quelle est la rentabilité de l'un par rapport à l'autre? Est-ce rentable de passer des jours sur "faut aider" par rapport au prix de Windows?

                                    J'aime bien la réponse "faut aider pour Linux" suivi de "mais faut payer pour Windows" en faisant attention au prix de Windows mais sans faire attention au coût induit par le "faut aider pour Linux" ou par le temps à y consacrer. On regarde le prix à payer pour Windows, on oublie le prix/le temps à passer pour Linux.
                                    • [^] # Re: N'oubliez pas de tester !

                                      Posté par . Évalué à  2 .

                                      La différence, c'est que Windows, chacun doit le payer, alors que sous Debian, oui, il faut y passer du temps, mais une seule fois, après c'est utilisable par tous.

                                      C'est lequel le plus rentable ? Celui où tout le monde doit payer, ou celui où une personne y passe du temps pour tout le monde ?

                                      Article Quarante-Deux : Toute personne dépassant un kilomètre de haut doit quitter le Tribunal. -- Le Roi de Cœur

                                      • [^] # Re: N'oubliez pas de tester !

                                        Posté par (page perso) . Évalué à  2 .

                                        Version Debian : Quand j'ai besoin d'une chose, que Debian ne le fourni pas mais que Windows le fournit, c''est définitivement plus rentable pour moi de prendre Windows.

                                        Une chose que tu ne veux pas comprendre : 99.99% des gens ne sont pas prêt à payer plus pour le même service, et ce que tu dis, c'est de trouver le 0.01% de gens prêt à faire la chose pour tous les autres, et ce gratuitement. Ben dans la vraie vie, les gens achètent Windows.

                                        C'est lequel le plus rentable ? Celui où tout le monde doit payer, ou celui où une personne y passe du temps pour tout le monde ?

                                        Ca dépend donc :
                                        - Si tu trouve une bonne poire pour faire dans Debian gratos, c'est plus rentable Debian
                                        - Si c'est toi la bonne poire, ben c'est plus rentable Windows.
                                        • [^] # Re: N'oubliez pas de tester !

                                          Posté par (page perso) . Évalué à  2 .

                                          Pas tout à fait, dans la vraie vie, les gens demandent au fils de la voisine de leur pirater Windows…
                                        • [^] # Re: N'oubliez pas de tester !

                                          Posté par . Évalué à  3 .

                                          Eh bien reste sous Windows, tant mieux pour toi si tu y trouves ton compte, mais arrête de critiquer le choix des autres. Le fait est que Debian n'avance qu'avec du volontariat.

                                          Toi, la chose que tu ne veux pas comprendre, c'est l'état d'esprit du libre. Ce n'est pas juste coder pour gagner sa vie, c'est le faire pour la communauté, le bien commun.

                                          Tu considères que puisque toi, tu peux gagner de l'argent en faisant du libre, ceux qui le font pour le plaisir sont des bonnes poires qui se font arnaquer.

                                          Hé bien oui, il y a des développeurs qui aiment développer, qui le font pour le plaisir, pas que pour l'argent.
                                          J'aime bidouiller Linux, juste pour le plaisir. Je n'en retire rien d'autre et pourtant j'aime ça. Je ne sais pas faire de paquet Debian, le jour où je saurais, ça ne m'aura rien apporté, mais j'aurais eu la satisfaction de l'avoir fait, pour le fun.

                                          Arrête de tout rapporter à l'argent. On le sait, que tu arrives à gagner ta vie avec du libre, faudrait arrêter de toiser les autres avec ça.

                                          Article Quarante-Deux : Toute personne dépassant un kilomètre de haut doit quitter le Tribunal. -- Le Roi de Cœur

                                          • [^] # Re: N'oubliez pas de tester !

                                            Posté par (page perso) . Évalué à  2 .

                                            Arrête de tout rapporter à l'argent.

                                            Pas de soucis. A conditions que tu arrête de dire que pour avoir quelque chose, il faut contribuer, (on peut juste prendre autre chose)

                                            C'est toi qui a parlé de "C'est lequel le plus rentable ?" (je te cite), je n'ai fait que te répondre qu'au niveau rentabilité, Linux n'est pas toujours bon.

                                            Il n'y a pas de problèmes que tu aimes la façon dont Linux travaille, du moment que tu ne dis pas qu'il est le meilleur pour tout et que Windows c'est de la merde et que les gens sous windows sont cons d'y être (je caricature, mais c'est ce que je lis et répond le plus souvent : je réagis car Windows est dénigré pour rien et Linux est mis comme le meilleur pour rien)

                                            Ce sont deux approches différentes, pas de soucis, mais qu'on arrête de dire que Linux est la meilleure approche pour tout le monde sans reconnaitre les qualités de l'autre. Tu as parlé rentabilité, je t'ai juste dis que pour l'exemple cité, le plus rentable est Windows plutôt que contribuer. Après, tu sors une philosophie, mais la on sort de la rentabilité.
                                            • [^] # Re: N'oubliez pas de tester !

                                              Posté par . Évalué à  3 .

                                              A conditions que tu arrête de dire que pour avoir quelque chose, il faut contribuer,

                                              C'est pourtant le cas sous Debian, et c'est normal : on ne peut pas tout avoir comme ça d'un claquement de doigts.


                                              C'est toi qui a parlé de "C'est lequel le plus rentable ?" (je te cite), je n'ai fait que te répondre qu'au niveau rentabilité, Linux n'est pas toujours bon.

                                              Ah non, je n'ai fait que répondre à une question. Je te cite, juste avant mon commentaire :
                                              Quelle est la rentabilité de l'un par rapport à l'autre? Est-ce rentable de passer des jours sur "faut aider" par rapport au prix de Windows?


                                              Ce sont deux approches différentes, pas de soucis, mais qu'on arrête de dire que Linux est la meilleure approche pour tout le monde sans reconnaitre les qualités de l'autre. Tu as parlé rentabilité, je t'ai juste dis que pour l'exemple cité, le plus rentable est Windows plutôt que contribuer. Après, tu sors une philosophie, mais la on sort de la rentabilité.

                                              Oui, ce sont deux approches fortement opposées et justement j'ai essayé de t'expliquer en quoi celle de Debian est intéressante d'un point de vue humain tout en le conciliant avec le côté économique. Ça semble plutôt bien fonctionner au point d'être largement déployée en entreprise.

                                              Comme quoi il n'y a pas que le modèle de Windows qui marche.
                                              Je ne dis pas que Windows c'est de la merde, mais je n'aime définitivement pas sa conception ni son modèle.

                                              Article Quarante-Deux : Toute personne dépassant un kilomètre de haut doit quitter le Tribunal. -- Le Roi de Cœur

                                  • [^] # Re: N'oubliez pas de tester !

                                    Posté par . Évalué à  2 .

                                    Les distribs bleeding-edge comme Gentoo, ArchLinux, et une flopée d’autres sont toutes subitement devenues payantes ? On ne me dit jamais rien !
                                    • [^] # Re: N'oubliez pas de tester !

                                      Posté par . Évalué à  2 .

                                      Ça conforte ce que je dis : il y a eu des volontaires pour faire les paquets Gentoo et Arch (que je classe dans la même catégorie de Debian). Donc, oui il a fallu participer.

                                      Article Quarante-Deux : Toute personne dépassant un kilomètre de haut doit quitter le Tribunal. -- Le Roi de Cœur

                              • [^] # Re: N'oubliez pas de tester !

                                Posté par (page perso) . Évalué à  3 .

                                Je crois que tu ne veux pas comprendre.

                                Les binaires Windows de Firefox, Gimp ou énormément beaucoup d'autres projets libres (même uniquement développés par la communauté), ce sont les développeurs desdits projets qui les font.
                                Par contre, il ne font pas de binaires linux pour plusieurs raisons et c'est dommage.

                                Une des raisons pour ne pas faire de binaires linux, c'est que c'est souvent un peu difficile de faire un binaire qui tourne sous toutes les distrib.

                                Après voilà, la solution ça serait peut-être de définir un moyen d'installer des applications hors du système de package de manière simple sur toutes les distribs.

                                Je suis un gros fan des systèmes de package, surtout de APT. Pour la grande majorité de mon utilisation, c'est énormément plus efficace que ce qui se fait sous Windows/OSX. Mais ça a également des désavantages. C'est pas en fermant les yeux sur ces désavantages qu'on va aller de l'avant.
                                • [^] # Re: N'oubliez pas de tester !

                                  Posté par . Évalué à  1 .

                                  C'est ce que je dis, tu veux le logiciel sous Debian, participe, au lieu de juste demander.

                                  Article Quarante-Deux : Toute personne dépassant un kilomètre de haut doit quitter le Tribunal. -- Le Roi de Cœur

                                • [^] # Re: N'oubliez pas de tester !

                                  Posté par . Évalué à  1 .

                                  en même temps, vous attribuez au système de gestion de paquets des défauts qu'il n'a pas. comment sous windows ils font pour distribuer des binaires qui marchent sur toutes leurs versions: parce qu'ils distribuent de manière dégueulasse le binaire ET les bibliothèques nécessaires à l'exécution de l'appli. Ou comment avoir 150 fois les mêmes bibliothèques dans 150 répertoires d'installation différents.

                                  C'est possible sous n'importe quel GNU/Linux. Mais c'est demander par exemple, aux développeurs de Gimp de distribuer à la fois le binaire de Gimp, tout en embarquant aussi une version spécifique de GTK+, Glib, Pango, .... donc prendre la responsabilité de distribuer une version spécifique pour laquelle ils ne fourniront pas de support.

                                  Sous Windows, ça risque pas de poser de problème, y a 4 logiciels qui utilisent ces bibliothèques. Sous un GNU/Linux, de quoi péter une installation "stable" de Gnome.
                                  Et puis, je comprends qu'un utilisateur puisse se foutre de l'état de jachère des systèmes de fichiers de sa machine, des répertoires système, a priori, mais avoir 4 versions de GTK+ 2.0 (pas forcément de compatibilité binaire descendante) c'est le meilleur moyen de devenir prématurément chauve en séance de déboguage.

                                  Dans le cas précis de FreeBSD, il existe une "distribution" (PC-BSD) qui utilise la méthode du "j'embarque tout dans le tarball", et qui à l'installation de chaque soft utilisant le protocole X (donc toute appli graphique), copie sa propre version de libX11, libXi, ... dans un répertoire précis utilisé par ce seul logiciel. Cela marche, mais pour les mises à jour de sécu, faut attendre que chaque logiciel est regénéré un tarball avec la librairie corrigée...

                                  donc il y a de bonnes raisons d'utiliser telle ou telle méthode. Mais tout comme il est totalement con d'utiliser Debian Stable pour un bureau SI on veut pouvoir se la raconter "j'ai les derniers soft installés même pas testés par les développeurs", il est aussi complètement stupide d'utiliser Postgresql 9.0beta en prod sur une Debian Stable...
                                  • [^] # Re: N'oubliez pas de tester !

                                    Posté par (page perso) . Évalué à  4 .

                                    Les raisons, c'est une chose.
                                    Le résultat en pratique est plus important.

                                    Sous Windows, on peut avoir une machine "de prod" stable tout en pouvant essayer un logiciel en beta, et ça se désinstalle facilement après test.

                                    Linux fait un autre choix, OK. Mais qu'on accepte alors que ce choix a des défaut, comme celui de manquer de beta-testeurs sous Linux car c'est pas facilement possible d'être beta-testeur sous Linux du fait de cette politique.
                                    La réalité est la : il y a mille fois plus de beta-testeurs de Firefox sous Windows que sous Linux. tu donnes la raison, nous on parle du résultat. Allez, une blague d'ingénieur : Un ingénieur des mines construit un pont, il se casse la gueule, l'ingénieur des mine recalcule, et sait pourquoi ça a cassé. Un ingénieur des Arts et Metiers construit un pont, il ne se casse pas la gueule mais ne sait pas pourquoi. Deux philosophies différentes, tu préfères l'ingénieur des Mines, je préfère celui des Arts et Métier.

                                    en même temps, vous attribuez au système de gestion de paquets des défauts qu'il n'a pas.

                                    On dit que c'est génial ce système de paquet, ben il y a des voix dissidentes pour dire que non, ce n'est pas si génial que ça, c'est tout, avec démo. Et qu'on vienne pas demander des beta-testeurs Linux, ni se plaindre que la version Linux est moins bien, tant que cet inconvénient n'aura pas une solution, c'est tout. Aux linuxiens de se prendre en main aussi plutôt que de râler sur les dév pas bien qui font pas comme il faut.
                                    • [^] # Re: N'oubliez pas de tester !

                                      Posté par . Évalué à  1 .

                                      > Sous Windows, on peut avoir une machine "de prod" stable tout en pouvant essayer un logiciel en beta, et ça se désinstalle facilement après test.

                                      ben non, la desinstallation peut foirer, ou n'être même pas prévue. certains logiciels vont foutre un vrai bordel partout, et en gros ta machine sera pourrie. ça concerne par exemple les SDK et autres outils de développement qui vont mettre de nouvelles bibliotheques dans c:\windows\system32, des fois un logiciel en beta ou demo avait une protection anti-copie à la con et tu t'aperçois que tu ne peux plus utiliser ton lecteur de CD-ROM (physique, je précise)...

                                      sinon pour ton histoire de voix dissidentes, j'ai la même histoire avec un truc qui s'appelle Paypal, mais dans l'autre sens.
                                      • [^] # Re: N'oubliez pas de tester !

                                        Posté par . Évalué à  2 .

                                        ben non, la desinstallation peut foirer, ou n'être même pas prévue. certains logiciels vont foutre un vrai bordel partout, et en gros ta machine sera pourrie. ça concerne par exemple les SDK et autres outils de développement qui vont mettre de nouvelles bibliotheques dans c:\windows\system32, des fois un logiciel en beta ou demo avait une protection anti-copie à la con et tu t'aperçois que tu ne peux plus utiliser ton lecteur de CD-ROM (physique, je précise)...'


                                        Parce que un gestionnaire de paquet ca foire jamais hein....
                                • [^] # Re: N'oubliez pas de tester !

                                  Posté par . Évalué à  2 .

                                  Par contre, il ne font pas de binaires linux pour plusieurs raisons et c'est dommage.

                                  Je ne sais pas à quoi tu penses exactement mais il y a des binaires des alphas et betas Firefox pour Linux (et même en version x86-64).
                    • [^] # Re: N'oubliez pas de tester !

                      Posté par . Évalué à  2 .

                      Je sais pas, prend un graphiste qui bosse sur une debian stable parce qu'il a pas envie d'avoir un système qui plante au milieu de la journée. Ben il a quand même envie d'utiliser la dernière version de Gimp

                      Ha ha un graphiste qui utilise gimp, c'est la meilleure de la journée.
                      • [^] # Re: N'oubliez pas de tester !

                        Posté par . Évalué à  1 .

                        Hu hu un graphiste qui utilise Linux, encore mieux.

                        Article Quarante-Deux : Toute personne dépassant un kilomètre de haut doit quitter le Tribunal. -- Le Roi de Cœur

                      • [^] # Re: N'oubliez pas de tester !

                        Posté par (page perso) . Évalué à  1 .

                        Ouais, bah pour avoir utilisé Photoshop récemment alors que ça fait deux ans que j'utilisais Gimp, je peux te certifier que Photoshop est de la grosse merde.

                        Il y a deux ou trois fonctionnalités sympa, mais c'est lourdingue et pas toujours bien pensé (ils ne veulent pas perturber leurs vieux utilisateurs notamment, ce qui fait que le raccourcis pour masquer Photoshop sur mac est différent par exemple).

                        Envoyé depuis mon lapin.

      • [^] # Re: N'oubliez pas de tester !

        Posté par (page perso) . Évalué à  0 .

        en tout cas, sur mac c'est raté...

        l'installation est ultra simple mais écrase la version standard si on laisse en l'état...

        il n'ont pas pensé à l'appeler firefox-beta ou même simplement firefox4

        (enfin bon, c'est un détail)
      • [^] # Re: N'oubliez pas de tester !

        Posté par (page perso) . Évalué à  3 .

        Ah oui et comment tu met à jour les dizaines de logiciels que tu as installé sous Windows ? Comment tu es alerté des mises à jour de sécurité, surtout ? Comment tu es sûr que tu télécharge depuis le bon site, et que ce site n'a pas été compromis ?

        Oui, installer un logiciel sous la plupart des distributions Linux est plus facile, plus sûr et plus rapide.

        DLFP >> PCInpact > Numerama >> LinuxFr.org

        • [^] # Re: N'oubliez pas de tester !

          Posté par . Évalué à  1 .

          'Ah oui et comment tu met à jour les dizaines de logiciels que tu as installé sous Windows ?'
          Quand j'en ai envie, parce que je touche pas a mes logiciels si ils fonctionnent comme j'en ai envie justement....

          'Comment tu es alerté des mises à jour de sécurité, surtout ? '
          Si ce logiciel se connecte au réseau pour fonctionner, il peut aussi se connecter chez lui pour demander en général...(bref le moyen est la, c'est souvent une option 'demander si il y a une mise a jour a chaque démarrage).

          Si il n'a pas besoin de se connecter au réseau, cela veut dire que c'est moi qui introduirait le problème.....et la c'est un problème d'interface chaise clavier de toute façon.

          'Comment tu es sûr que tu télécharge depuis le bon site, et que ce site n'a pas été compromis ?'
          Comment es tu sur que ton gestionnaire de paquet n'a pas été corrompu ?
          De la même manière, en faisant attention aux actualités informatiques....

          'Oui, installer un logiciel sous la plupart des distributions Linux est plus facile, plus sûr et plus rapide. '

          Non la vrai phrase est
          'Oui, installer un logiciel sous la plupart des distributions Linux est plus facile, plus sûr et plus rapide. Du moment qu'il est dans le gestionnaire de paquet...sinon c'est pire'
          • [^] # Re: N'oubliez pas de tester !

            Posté par . Évalué à  2 .

            Si il n'a pas besoin de se connecter au réseau, cela veut dire que c'est moi qui introduirait le problème.....et la c'est un problème d'interface chaise clavier de toute façon.

            Personnellement j'ai tendance à penser que mon lecteur PDF (ou JPEG, etc.) devrait être capable d'ouvrir n'importe quel fichier sans compromettre ma machine, indépendamment de la provenance de ce dernier.
            • [^] # Re: N'oubliez pas de tester !

              Posté par . Évalué à  1 .

              'Personnellement j'ai tendance à penser que mon lecteur PDF (ou JPEG, etc.) devrait être capable d'ouvrir n'importe quel fichier sans compromettre ma machine, indépendamment de la provenance de ce dernier. '

              Je ne vois pas quelle est la difference entre un logiciel A et un logiciel B du moment qu'ils doivent utiliser des donnees exterieures.
              Surtout quand le format de donnees est complexe, rien que les procedures de verifications de format peuvent etre buggees...
    • [^] # Re: N'oubliez pas de tester !

      Posté par . Évalué à  7 .

      Il y a environ une semaine que cette beta est installée sur ma Mandriva Cooker via les mises à jours.
      Je suppose donc que d'autres distrib sont dans le même cas.

      À moins que les distrib rpm like soient en avance sur les autres?
      ......
      Houlà, 16h50! Il est plus que temps de m'en aller...
      • [^] # Re: N'oubliez pas de tester !

        Posté par . Évalué à  3 .

        Hé bien, mise à jour vers la beta3 ce soir.
        Résultat, plus de Firefox:
        Could not find compatible GRE between version 2.0b3 and 2.0b3.
        C'est plutôt parlant comme message d'erreur.

        Saleté de rpm!
    • [^] # Re: N'oubliez pas de tester !

      Posté par . Évalué à  4 .

      Le problème avec les tests c'est qu'à ce stade, il y a une flopée d'extensions vitales (pour moi) qui ne fonctionnent pas ou mal car pas encore portées sous la nouvelles versions.
      Donc en général, après un test rapide pour voir si mes extensions fonctionnent (ce que j'ai fait cet après midi d'ailleurs pendant 10 min et j'ai fais pareil pour les 3 beta précédentes), je retourne sous la version stable qui ne vient pas de mon gestionnaire de paquets.
      Pour le développement, tant que firebug, web developper etc ne sont pas disponibles (et cela ne dépend pas de mozilla), c'est impossible que je fasse un test exhaustif dans le cadre de mon activité habituelle.
      Si on considère des les linuxiens sont des utilisateurs un peu plus avertis et qu'ils ont peut être plus d'extensions ajoutées dans leur profil, cela peut expliquer aussi le faible taux de test.
      En tout cas, c'est la une raison pour moi.

      Sinon, je trouve l'outil Panorama très sympa, cela peut devenir très intéressant avec un peu d'habitude et de raccourcis clavier.
      • [^] # Re: N'oubliez pas de tester !

        Posté par . Évalué à  3 .

        Et qu'est-ce qui t'empêche d'avoir deux firefox installés, un ancien avec tes extensions nécessaires et la bêta comme navigateur courant pour participer au bêta test ?

        Parce que là ce que tu dis c'est que tu ne veux pas utiliser la bêta parce que c'est pas un logiciel fini d'être développé, mais si c'était terminé, on aurait pas besoin de bêta testeurs...
        • [^] # Re: N'oubliez pas de tester !

          Posté par . Évalué à  1 .

          Non ce n'est pas ce que je voulais dire, je me plaçais dans le contexte du moment, c'est à dire au boulot...
          J'ai comme tu le suggère les deux versions installées sur le pc que j'utilise en parallèle : mon profil par défaut avec la stable et un de test "dégradé" avec des extensions plus ou moins en carafe pour jeter un œil aux évolutions.

          Je voulais dire que pour un test exhaustif dans le cadre de mon utilisation journalière et professionnelle de développement web (donc un minimum efficace), il me faut certaines extensions.
          Utiliser la beta et aller sur la stable quand ça coince est trop contraignant.
          Pour utiliser la beta, je pense qu'il faille qu'elle passe une masse critique de compatibilité avec les extensions que j'utilise pour m'en servir sans perdre trop de temps et d'énergie.
          Pour la précédente version majeure de firefox, je me suis mis à l'utiliser à temps complet au taf à partir des rc (à ce stade d'ailleurs les extensions sont souvent arrivées au stade beta, elles).
          Peut être trop tard pour toi mais bon, c'est mon avis

          Dans le cadre d'une utilisation personnelle, je suis totalement d'accord, c'est le moment de tester.
          Je vais d'ailleurs installer la nouvelle beta sur mon pc (la distrib est une cooker 64 bits).
          Là si ça plante ou si le comportement est bizarre, ça me gène moins.
    • [^] # Re: N'oubliez pas de tester !

      Posté par . Évalué à  5 .

      Y'a peut-être aussi le fait qu'il existe de nombreux navigateurs libres de qualité et bien intégrés aux environnement sous Linux.

      Y'a au moins Konqueror et reKonq pour KDE, ainsi qu'Epiphany pour GNOME, qui satisfont à tous les besoins et qui utilisent des technos modernes.

      En plus de ça, y'a Chromium qui chasse sur le terrain de Firefox.

      D'ailleurs, je me demande s'il y a quelque part des stats d'utilisation des navigateurs sous Linux.

      Article Quarante-Deux : Toute personne dépassant un kilomètre de haut doit quitter le Tribunal. -- Le Roi de Cœur

      • [^] # Re: N'oubliez pas de tester !

        Posté par (page perso) . Évalué à  5 .

        Effectivement, j'utilise principalement Konqueror qui est mieux intégré à KDE que Firefox et est donc plus véloce. J'utilise Firefox lorsqu'un site mal fichu l'exige en utilisant la fonction de Konqueror "Ouvrir avec Firefox". Mais cela me semble de moins en moins fréquent... grâce à Firefox qui a obligé nombre de webmestres à apprendre leur métier !

        J'ai aussi Opera et Chromium mais je ne les utilise qu'à titre de vérification quand je crée un nouveau site.
    • [^] # Re: N'oubliez pas de tester !

      Posté par (page perso) . Évalué à  4 .

      http://aur.archlinux.org/packages.php?ID=19830
      http://aur.archlinux.org/packages.php?ID=38753

      Tout va bien ici, notre gestionnaire de paquets ne nous limite pas ;) Et le travail fourni par la communauté aide aussi.
    • [^] # Re: N'oubliez pas de tester !

      Posté par . Évalué à  0 .

      Le site est plus beau pour en y accédant avec un user agent "windows", on a même droit à quelques petites peintures numériques type SF, bien sympa.

      Aussi, la GUI de Firefox4 win32 différe de la version Linux, pas de bouton firefox entre autre,

      On est censé ne pas avoir de goût sous linux?
    • [^] # Re: N'oubliez pas de tester !

      Posté par . Évalué à  2 .

      Le nombre d'utilisateurs des bétas de Firefox sous les distributions libres est assez faible.

      Utiliser une beta Firefox est assez délicat :
      - on peut perdre certaines extensions non encore supportées
      - si on veut revenir à une version précédente (car la version testée est peu utilisable), il arrive que le profil ait été modifié par la version de test et qu'il faille le recréer depuis zéro pour parvenir à une utilisation satisfaisante

      (j'utilise moi-même une 3.7 alpha...)
  • # Heureux

    Posté par (page perso) . Évalué à  4 .

    J'ai abandonné dernièrement Epiphany pour Firefox après avoir découvert Vimperator et j'étais bloqué par quelques limitations :

    - l'ouverture d'onglets ne conserve pas l'historique (gèré par une extension, donc c'est bon)
    - une certaine lenteur au défilement
    - la non possibilité de redimensionner les zones de saisie de texte
    - le non support des vidéos H.264

    Pour la lenteur, la béta corrige principalement pas mal de point (les sites qui me faisaient hurler à cause de cela ne sont plus lents), problème qui était principalement lié au défilement des pages.

    Et l'on peut maintenant redimensionner les zones de saisie de texte nativement !!! (Je regrette juste qu'il y ai aussi le support d'une propriété CSS permettant de désactiver ce redimensionnement).

    Pour les vidéos, firefox 4 apporte le supporte de Web.M, donc la solution est en train d'arriver, mais c'est pas encore pour demain.

    Donc firefox 4.0, testé et adopté en attente d'adoption car vimperator n'a pas encore été porté.
    • [^] # Re: Heureux

      Posté par . Évalué à  4 .

      (Je regrette juste qu'il y ai aussi le support d'une propriété CSS permettant de désactiver ce redimensionnement)

      -> il faudrait une option pour ne pas tenir compte de cette propriété CSS... puis une propriété CSS pour interdire cette option... puis...
    • [^] # Re: Heureux

      Posté par . Évalué à  2 .

      Pour vimperator tu peux tester si ça marche et remonter l'info grâce à l'extension Compatibility Reporter :

      https://addons.mozilla.org/en-US/firefox/addon/15003/
    • [^] # Re: Heureux

      Posté par . Évalué à  1 .

      Pour la lenteur du défilement ce n'est pas lié à l'option "défilement doux".

      Chez moi ce truc c'est une vrai plaie.
  • # Tester l'acceleration OpenGL

    Posté par (page perso) . Évalué à  8 .

    Si ca vous interesse de tester l'acceleration par OpenGL (utilise votre carte graphique pour l'affichage final des differentes couches (layers) la page web) definissez la variable d'environnement suivante:


    export MOZ_ACCELERATED=1


    Voila, pour l'instant ca marche tres bien avec certains drivers (ici le driver proprio nvidia), ca crashe avec d'autres (par exemple le driver libre radeon). Tous vos retours d'experiences sont les bienvenus!
    • [^] # Re: Tester l'acceleration OpenGL

      Posté par . Évalué à  2 .

      Après test, panorama ne fonctionne si j'exporte cette variable avec la valeur 1.
      La fenêtre devient toute noire là où je devrais voir les groups. cela fonctionne parfaitement sans.
      (drivers nvidia proprio en service).
      • [^] # Re: Tester l'acceleration OpenGL

        Posté par (page perso) . Évalué à  2 .

        Interessant; ici (linux x86-64 nvidia 195.36.31) le panorama marche bien, meme avec cette variable d'environnement. Si tu te decides a faire un rapport de bug, je suggererais le composant Core:Graphics, vu que ce n'est probablement pas la faute de Panorama. C'est soit un bug dans Core:Graphics, soit un bug du driver nvidia.
        • [^] # Re: Tester l'acceleration OpenGL

          Posté par . Évalué à  3 .

          Alors, j'ai tester au boulot (je ne peux pas vérifier maintenant) mais je crois que j'ai la même conf mandriva 2010.1 x64 avec drivers nvidia présents dans le dépot non free backport (peut être la version 256.44 si je m'en réfère au nom du rpm).
          Le profile était tout neuf, créé pour l'occasion.
          Pour compléter mon commentaire, firefox ne plante pas, l'espace d'affichage de la fenêtre devient noir, si je bouge le pointeur de la souris sur la fenêtre il change de forme au niveau des endroits où sont les boites du groupe et de la vidéo de démo (main, croix de déplacement). Si je fais Esc, je reviens à la fenêtre classique, et c'est reproductible.

          Je vient de tester aussi chez moi, mandriva x64 cooker + drivers nvidia 256.44 + firefox 4b4 : même punition.

          Le test de la map quake3 que tu proposes plus bas fonctionne parfaitement (fluide et pas de plantage) sur les deux machines.

          Par contre j'ai téléchargé la version proposée par défaut par la page http://www.mozilla.com/fr/firefox/beta/ depuis un firefox 3.6.8 32 bits et j'ai donc récupérer une version 4b4 aussi 32 bits : Mozilla/5.0 (X11; Linux i686 (x86_64); rv:2.0b4) Gecko/20100818 Firefox/4.0b4

          Je viens donc de faire le test sur ma cooker avec une version 64 bits (enfin disponible officiellement, c'est cool) : Mozilla/5.0 (X11; Linux x86_64; rv:2.0b4) Gecko/20100818 Firefox/4.0b4. Même problème.

          Pas d'erreur visible dans le shell lors de l'exécution de panorama

          Je veux bien rapporter le bug dans https://bugzilla.mozilla.org/ mais qu'est ce que tu entends par "composant Core:Graphics" ? La version du driver ?
      • [^] # Re: Tester l'acceleration OpenGL

        Posté par . Évalué à  1 .

        Pareil. Parcontre WebGL est plus rapide que sous windows Seven.
        Le défilement web est un poil ralenti si tu actives MozAccel.

        Pour jouer à QuakeLive, Firefox sous Linux est plus rapide, pour le web parcontre...
    • [^] # Re: Tester l'acceleration OpenGL

      Posté par . Évalué à  1 .

      FF se plante en démarrant, avec l'accélération OpenGL activée et le driver proprio ATI (fglrx 10-7-1 debian testing).

      Found extension GL_EXT_framebuffer_object
      ###!!! ABORT: X_GLXMakeCurrent: BadMatch (invalid parameter attributes): file /builds/slave/linux_build/build/toolkit/xre/nsX11ErrorHandler.cpp, line 190


      En revanche, même avec l'accélération 2D activée il n'y a plus de problème de pages noires et de tremblements.
  • # Panorama

    Posté par . Évalué à  1 .

    Parce que souvent un dessin vaut mieux qu'un long discours, pour ceux qui veulent voir comment fonctionne Panorama, il y a une vidéo (sous trois formats) disponible sur la page des nouvelles fonctionnalités : http://www.mozilla.com/en-US/firefox/beta/features/

    La vidéo en theora : http://videos.mozilla.org/serv/firefox4beta/grouptabs.theora(...)
    • [^] # Re: Panorama

      Posté par . Évalué à  3 .

      Euh question bête qui n'a pas grand chose à voir : pourquoi personne encore n'utilise le format WebM sur le web ? Il est conçu pour cet usage, et est sensé être plus efficace que Theora, non ?

      Article Quarante-Deux : Toute personne dépassant un kilomètre de haut doit quitter le Tribunal. -- Le Roi de Cœur

      • [^] # Re: Panorama

        Posté par (page perso) . Évalué à  3 .

        Pour voir une video WebM, il faut une beta de firefox 4 ou une version de developpement de chromium, donc c'est un peu tot.... ceci dit, youtube est deja en train de passer a webm, clique sur leur bouton 'html5 beta'.
        • [^] # Re: Panorama

          Posté par . Évalué à  2 .

          Un peu tôt, faut le dire vite...

          Opera et Chrome le supportent, Safari aussi (via QT), ne manquent comme navigateurs majeurs que Firefox et Internet Explorer (mais lui ça compte pas).

          D'autant que les gros frameworks sous Linux le gèrent (Gstreamer, FFmpeg, Xine et VLC). Il serait un peu temps de le mettre en avant, non ?

          Article Quarante-Deux : Toute personne dépassant un kilomètre de haut doit quitter le Tribunal. -- Le Roi de Cœur

          • [^] # Re: Panorama

            Posté par (page perso) . Évalué à  2 .

            Ben regarde, justement, dans ce repertoire, toutes les videos sont aussi disponibles en webm:

            http://videos.mozilla.org/serv/firefox4beta/
          • [^] # Re: Panorama

            Posté par (page perso) . Évalué à  2 .

            ne manquent comme navigateurs majeurs que Firefox

            Ah non, j'oubliais: le support de WebM a ete back-porte a Firefox 3.6 dans une mise a jour mineure, donc en WebM est bel et bien supporte dans une version stable de Firefox. Ensuite je ne sais pas trop ce que ca a donne avec les distros linux qui (c'est comprehensible) n'aiment pas trop voir de tels ajouts de fonctionalites dans des versions mineures.
            • [^] # Re: Panorama

              Posté par (page perso) . Évalué à  2 .

              n'aiment pas trop voir de tels ajouts de fonctionalites dans des versions mineures.

              si les dépendances sont correctement identifiées, cela peut être compilé avec la bonne option et les bibliothèques nécessaires mises à jour. Le principal souci de firefox étant que xulrunner est "peu" libifié ce qui induit des mises à jour de yelp, miro... (bon epiphany est avec webkit donc plus besoin...).
              Par exemple, pour Mandriva Linux 2010.1 http://sophie.zarb.org/rpm/2010.1,/firefox (3.6.8 en updates) je ne sais pas dire si la bibliothèque pour webM a été ajoutée (elle est en cooker je crois, la 4.0b4 étant déjà packagée http://sophie.zarb.org/rpm/cooker,/firefox en tout cas).
              • [^] # Re: Panorama

                Posté par . Évalué à  2 .

                bon epiphany est avec webkit donc plus besoin

                Yelp aussi. De manière générale, plus aucun logiciel GNOME n'utilise Gecko.

                Article Quarante-Deux : Toute personne dépassant un kilomètre de haut doit quitter le Tribunal. -- Le Roi de Cœur

              • [^] # Re: Panorama

                Posté par . Évalué à  1 .

                J'utilise encore 3.6.8 sous cooker et j'ai testé avec le lien ci-dessus et ça me propose uniquement de le télécharger ou de l'ouvrir avec un logiciel, pas de lecture avec le navigateur ou alors il y a quelque chose à faire dans about:config et je ne suis pas au courant.
                • [^] # Re: Panorama

                  Posté par (page perso) . Évalué à  2 .

                  Au temps pour moi.

                  Je me suis completement plante ci-dessus quand j'ai dit que le support de WebM avait ete back porte. J'ai confondu avec les plugins hors-processus (OOPP).

                  En effet, WebM est seulement supporte dans les betas de Firefox 4.

                  Desole.
  • # Tester le canvas WebGL

    Posté par (page perso) . Évalué à  9 .

    (rien a voir avec mon post ci-dessus sur OpenGL)

    Si ca vous interesse de tester le canvas WebGL, tapez about:config dans la barre d'addresse et changez l'option webgl.enabled_for_all_sites en true. On espere l'activer par defaut dans la prochaine beta.

    Apres ca, si vous avez des pilotes OpenGL 2.1+ ou OpenGL ES 2.0 decents, vous devriez pouvoir faire joujou avec toutes les demos WebGL, par exemple cette carte Quake 3: http://media.tojicode.com/q3bsp/

    Si vous n'avez pas de matos OpenGL, on ne vous a pas oublies: le web devrait continuer de fonctionner aussi bien que possible sans GPU! Donc on supporte le rendu purement logiciel par OSMesa. Installez le paquet OSMesa de votre distribution, et definissez l'option webgl.osmesalib avec le nom de fichier de la bibliotheque .so, par exemple libOSMesa.so.6
    • [^] # Re: Tester le canvas WebGL

      Posté par . Évalué à  1 .

      J'ai fait le test, étonnament j'atteind 65fps sous Linux alors que sous WinSeven j'en suis à 15/20fps.

      Par contre le défilement de page web est plus lent que sous l'OS de Redmond.
  • # mouais

    Posté par (page perso) . Évalué à  -10 .

    pour les malheureux qui n'ont pas encore switché sur chrome/chromium, c'est peut être intéressant.








    --> [ . ]
    • [^] # Re: mouais

      Posté par . Évalué à  2 .

      La vitesse de démarrage est toujours aussi faible (par rapport à chromium)...malheureusement ; pourtant je croyais que c'était un point qui devait être amélioré dans la version 4.
      • [^] # Re: mouais

        Posté par . Évalué à  3 .

        euhh, chez moi la vitesse de démarrage est de moins de deux secondes à froid et quasiment instantanné à chaud sur une machine bas de gamme de plus d'un an, donc c'est largement amélioré !!
        • [^] # Re: mouais

          Posté par . Évalué à  6 .

          oui, et en plus de ça, c'est beaucoup plus réactif qu'auparavant, je trouve presque cela au niveau de chromium, avant sur certains sites avec des effets ou des interfaces un peu lourde, c'était poussif, maintenant c'est vraiment bien, notamment pour le scroll avec la molette, bref, ça me plaît bien, même si toutes mes extensions ne sont pas encore compatibles. Je ne regrette pas d'être resté fidèle à Firefox navigateur principal :) Chapeau Mozilla !

          Only wimps use tape backup: real men just upload their important stuff on megaupload, and let the rest of the world ~~mirror~~ link to it

    • [^] # Re: mouais

      Posté par (page perso) . Évalué à  5 .

      J'avais switché sous Chromium depuis la fin de l'année dernière et testé toutes les versions de Firefox entre.

      C'est la première fois que je reswitche totalement sous Firefox avec cette beta 4.
      Firebug est disponible, la navigation est quasi aussi agréable que sous Chromium (pas encore aussi rapide), Panorama est génial et la synchronisation n'envoie rien à Google.

      Bref, ma Suse est toute émue d'avoir retrouvée son logiciel libre préféré.
      • [^] # Re: mouais

        Posté par . Évalué à  5 .

        Il y a 10 types de personnes, celles qui savent compter en binaire et les autres.

        Il y a 10 catégories de personnes, celles qui classent les personnes en 10 catégories, et les autres...

        ;-)

        --
        L'important, c'est que ça ne soit pas de ma faute.
    • [^] # Re: mouais

      Posté par . Évalué à  1 .

      Ah ben moi, c'est faute de ne pas avoir essayé mais sur 2 machines différentes (en windows XP), sous Chrome, l'utilisation des raccourcis clavier (ce que je fais tout le temps) est impossible. Et ceci depuis de nombreuses versions.

      Aléatoirement ou lors du chargement d'une page, tous les raccourcis ne sont plus fonctionnels (par exemple espace pour descendre dans la page ou ctrl + F pour chercher, ou les flèches). Il faut alors prendre la souris et cliquer sur la zone d'affichage pour qu'ils reviennent (la fenêtre active étant déjà celle de chrome). C'est un peu dommage de devoir prendre la souris pour faire de la navigation au clavier.

      Bon et dans mon cas, c'est rédhibitoire....

      Mais si tu as une idée....
      • [^] # Re: mouais

        Posté par (page perso) . Évalué à  2 .

        Aléatoirement ou lors du chargement d'une page, tous les raccourcis ne sont plus fonctionnels (par exemple espace pour descendre dans la page ou ctrl + F pour chercher, ou les flèches).

        Ça ne serait pas sur les pages qui contiennent un formulaire, avec le curseur qui se positionne dans le premier champ ?
  • # à propos des extensions

    Posté par (page perso) . Évalué à  4 .

    >Les extensions de type Jetpack ne nécessitent plus de redémarrage

    Les extensions jetpack n'ont JAMAIS nécessité un redémarrage (pour rappel, les extensions jetpack sont assez similaires dans le fonctionnement et l'esprit que les extensions pour Chrome).

    Tu confonds avec les extensions classiques en XUL, qui, maintenant, effectivement, n'ont plus besoin de redémarrage (sous certaines conditions toutefois il me semble).
  • # Boutons

    Posté par . Évalué à  4 .

    La nouvelle interface n'est pas trop mal cependant j'ai du mal à comprendre la nouvelle mode de supprimer les menus et de tout remplacer par des boutons ne comportant qu'une icône.

    Certes on gagne de l'espace mais avec du texte on sait tout de suite sur quoi on clique (après on se retrouve avec les préférences dans le menu éditer ou outils selon le système mais c'est une autre histoire). L'appréciation d'une icône est subjective et j'ai parfois du mal à trouver la bonne. Même si des efforts sont fait pour avoir des icônes "logiques" j'ai quand même un petit instant de réflexion.

    Après avec l'habitude on connait l'emplacement de chaque fonction et on clique sans se poser de questions. Mais pour quelqu'un qui découvre le logiciel, les icônes sont-elles vraiment plus efficaces qu'un menu ?
  • # Benchmark sur les performances Javascript

    Posté par (page perso) . Évalué à  9 .

    Je suis au boulot avec mon laptop sous WinXP et comme j'avais 30 min à attendre sans pouvoir bosser j'ai décidé de faire un petit comparatif des performances javascript entre Chrome, Firefox stable et Firefox 4 Beta.

    Hardware :

    - Intel Core 2 Duo 2.26 GHz

    Versions des logiciels :

    - Firefox 3.6.8 (version stable)
    - Firefox 4 Beta4 (version de dev)
    - Chrome 5.0.375.127 (version stable)
    - Chrome 7.0.503 (version de dev)

    Benchmarks:

    - SunSpider
    - V8 Benchmark v5 (attention ce bench est d'origine Google)
    - Dromaeo Javascript (attention ce bench est d'origine Mozilla)

    Résultats:

    SunSpider Firefox 3.6.8 (version stable) => 2196 ms
    SunSpider Firefox 4 Beta4 (version de dev) => 1403 ms
    SunSpider Chrome 5.0.375.127 (version stable) => 568 ms
    SunSpider Chrome 7.0.503 (version de dev) => 555 ms

    V8 Firefox 3.6.8 (version stable) => 488 points
    V8 Firefox 4 Beta4 (version de dev) => 1091 points
    V8 Chrome 5.0.375.127 (version stable) => 4718 points
    V8 Chrome 7.0.503 (version de dev) => 5370 points

    Dromaeo Firefox 3.6.8 (version stable) => 95,23 runs/s
    Dromaeo Firefox 4 Beta4 (version de dev) => 329.58 runs/s
    Dromaeo Chrome 5.0.375.127 (version stable) => 330.08 runs/s
    Dromaeo Chrome 7.0.503 (version de dev) => 478.03 runs/s

    Interprétation:

    Firefox 4 est vraiment une belle avancée par rapport à la version 3.6...mais le chemin pour rattraper Chrome est encore long.
  • # Pas très simple.

    Posté par . Évalué à  2 .

    Ha, un nouveau Firefox, testons le! :)

    J'arrive sur "http://www.mozilla-europe.org/fr/firefox/", pas de lien vers la version bêta, ni vers les sources.
    Heureusement, la dépêche me propose "http://www.mozilla.com/fr/firefox/beta/". Allons-y.

    Il y a un tar.bz2 à télécharger, avec comme lien "http://www.mozilla.com/fr/download/?product=firefox-4.0b4&am(...) qui redirige vers une page qui redirige après quelques secondes vers l'archive (pourquoi faire simple...)

    À noter que, quand on télécharge ce lien avec wget, on ne reçoit pas la page Web, mais directement l'archive. Vive la grosse bidouille (personnellement, je déteste les "liens directs" qui n'en sont pas, et les serveurs qui essaient de deviner ce dont j'ai besoin d'après ma requête).

    Bref.

    Je décompresse et j'expands l'archive, et me retrouve avec un dossier "firefox", qui contient trois exécutables au nom prometteur, et un README:

    cat README.txt
    Pour des informations sur l'installation, le lancement et la
    configuration de Firefox, incluant une liste des problèmes déjà
    connus et des informations de dépannage, référez-vous à
    http://www.mozilla-europe.org/fr/products/firefox/

    Cette page est la page d'accueil du projet Firefox, pour tester la bêta sur ma Debian elle ne m'aide pas franchement.
    ./firefox
    ./firefox-bin: error while loading shared libraries: libgtk-x11-2.0.so.0: cannot open shared object file: No such file or directory

    Aïe.
    ./firefox-bin
    ./firefox-bin: error while loading shared libraries: libxul.so: cannot open shared object file: No such file or directory

    Ouille. (libxul.so est présent dans le dossier "firefox").
    ./run-mozilla.sh

    run-mozilla.sh: Cannot execute .

    Je sens que j'approche.
    ./run-mozilla.sh firefox
    Aaaaaah :)

    Et encore, je n'ai pas tenté de télécharger les sources pour les compiler... la dernière fois que j'ai essayé, c'était encore plus tordu.

    THIS IS JUST A PLACEHOLDER. YOU SHOULD NEVER SEE THIS STRING.

    • [^] # Re: Pas très simple.

      Posté par . Évalué à  2 .

      Ah mais non, c'est pas bon!

      "./run-mozilla.sh firefox" me lance.. Iceweasel 3.5 qui est déjà installé sur ma machine.
      Tout ça pour ça.

      THIS IS JUST A PLACEHOLDER. YOU SHOULD NEVER SEE THIS STRING.

      • [^] # Re: Pas très simple.

        Posté par . Évalué à  3 .

        Au moins tu as téléchargé un navigateur Web qui marche !
        • [^] # Re: Pas très simple.

          Posté par . Évalué à  2 .

          En tout cas, le nouveau lanceur marche du tonnerre :)

          THIS IS JUST A PLACEHOLDER. YOU SHOULD NEVER SEE THIS STRING.

    • [^] # Re: Pas très simple.

      Posté par (page perso) . Évalué à  5 .

      ./firefox-bin: error while loading shared libraries: libgtk-x11-2.0.so.0: cannot open shared object file: No such file or directory

      Alors la... Merci!
      J'ai cru les gens ici quand ils m'ont dit qu'on pouvait avoir une version autonome de firefox que "eux ils s'avaient faire, alors Zenitram t'es trop con pour ne pas faire comme eux", et la tu me démontre que leur version "autonome déployable pour test" n'est en fait pas autonome (il manque GTK au minimum, j'imagine que la libC ou C++ ne doit pas y être non plus, et GTK ne fait pas partie d'un Linux de base déployé partout), qu'elle n'est donc pas si autonome que ça, qu'il faut une config assez précise pour pouvoir jouer avec cette archive "autonome". Il est impossible donc pour même une grosse entité de fournir une version de autonome d'une application "qui marche".

      La même version (FF4b4) marche sur les Windows de XP à 7, soit un support sur une tranche de 9 ans de l'OS. Faudrait à certains un peu d'acceptation que leur OS chéri n'est pas parfait (je ne dit pas que Windows n'est pas parfait, loin de là, il a de très gros défauts. Mais Linux en a tout autant si ce n'est pas plus)

      Par contre, une question me taraude : pour régler ce problème d'incompatibilités entre distro, j'utilise personnellement OBS http://build.opensuse.org , pourquoi une grosse équipe comme Mozilla n'utilise pas ce genre de chose et ne propose pas des versions de test par distro? Ils considèrent que c'est le rôle des distro? Mais dans ce cas n'y a-t-il pas un manque de testeurs Linux pour cette raison?
      • [^] # Re: Pas très simple.

        Posté par . Évalué à  2 .

        En fait, il existe un "Firefox portable" pour Windows, capable de trimballer tout son bordel dans un dossier, sans nécessiter de pré-requis au niveau de l'OS (à part les composants de base), et qui n'est pas emmerdé par les questions de path.

        Pourquoi les versions bêta pour Linux ne sont pas construites sur le même modèle?

        THIS IS JUST A PLACEHOLDER. YOU SHOULD NEVER SEE THIS STRING.

        • [^] # Re: Pas très simple.

          Posté par . Évalué à  2 .

          Parce que l'archive ferait 40 Go ?
          • [^] # Re: Pas très simple.

            Posté par . Évalué à  2 .

            A priori, pour essayer de le faire pour Wormux (cf plus haut), on embarque tout : libc, libc++, libX, ... même le ld.so. et finalement, ce n'est pas si gros. C'est clairement les images qui prennent le plus de place. C'est juste que ça ne marche pas, pour diverses raisons (cf plus haut).
        • [^] # Re: Pas très simple.

          Posté par (page perso) . Évalué à  2 .

          Encore plus précis : il y a l'installeur officiel de la beta qui s'installe en parallèle pour les gens "de base".
          Il y a en plus les versions portables très à la mode (tout sur une clé USB) pour n'importe quelle version, tu te balades avec ta clé USB et toute ta config sur ta clé USB, un bonheur http://www.portablefreeware.com .

          Pourquoi pas de version Linux sur le même modèle? Parce que "Linux", c'est incompatible binairement entre les distros. Il faut une version par distro en fait. Et par version de distro. Et prier pour que GTK soit installé même chez ceux ayant KDE. Donc il faut se farcir le boulot pour chaque 0.05% de parts de marché, je comprend les gens pas motivés, déjà que 1% (si tous les Linux étaient compatibles) c'est pas beaucoup, mais en plus des divisions dedans, ça n'incite pas à bosser pour.
          • [^] # Re: Pas très simple.

            Posté par . Évalué à  2 .

            Et prier pour que GTK soit installé même chez ceux ayant KDE.
            Heu non, le GTK tu le colles dedans le binaire. VLC pour Windows ne fait pas installer Qt à part, c'est compris dedans. De ce que je me souviens, Gimp (qui utilise GTK) demande à installer GTK pour Windows, et c'est plus rebutant qu'autre chose pour les noob.

            Parce que "Linux", c'est incompatible binairement entre les distros.
            Gné? C'est pas compatible s'il te manque des libs, mais autrement je vois pas ce que tu veux dire.

            THIS IS JUST A PLACEHOLDER. YOU SHOULD NEVER SEE THIS STRING.

            • [^] # Re: Pas très simple.

              Posté par (page perso) . Évalué à  3 .

              Heu non, le GTK tu le colles dedans le binaire.

              Pourquoi Mozilla ne le fait-il pas? Sont trop con chez Mozilla vraiment!

              De ce que je me souviens, Gimp (qui utilise GTK) demande à installer GTK pour Windows, et c'est plus rebutant qu'autre chose pour les noob.

              Ca va encore : l'installeur se charge de la chose, juste pose une question incompréhensible à laquelle il faut répondre "oui" au pif ("voulez vous installer GTK?")

              Gné? C'est pas compatible s'il te manque des libs, mais autrement je vois pas ce que tu veux dire.

              Il te faut les libs, mais aussi le bonne version de la lib.
              Certaines options de compilation font que les libs ne sont pas compatibles (sans parler du problème que si tu a compilé sous GCC 3.3 en C++, tu es incompatible avec les lib compilées avec GCC 3.4 et supérieur, et que Linux n'embarque pas les libs en compatibilité, donc t'es dans la merde : faut choisir. Windows embarque les libs de compatibilité (les applis non systèmes faites pour Win95, il y a 15 ans, tournent toujours...) ).

              Il y a LSB qui tente d'avoir une base commune, mais vu que c'est rejeté par certaines distros...
              • [^] # Re: Pas très simple.

                Posté par . Évalué à  -2 .

                Windows embarque les libs de compatibilité (les applis non systèmes faites pour Win95, il y a 15 ans, tournent toujours...) ).

                A oui, c'est clair : installes un jeu qui date de 15 ans, et tu vas te retrouver avec DirectX en version 2 et qui ne fonctionnera qu'avec cette version...Avec en prime quelques autres dll qui auront sans doute été downgradé.

                Après, savoir si FF4 beta fonctionnera correctement sous Win95, c'est une autre histoire...
                • [^] # Re: Pas très simple.

                  Posté par . Évalué à  5 .

                  Euuuuh, Windows gère la présence en parallèle de plusieurs version de DirectX, et sans downgrader quoi que ce soit...
                  • [^] # Re: Pas très simple.

                    Posté par . Évalué à  2 .

                    ok, parlons de Internet Explorer alors :)
                    • [^] # Re: Pas très simple.

                      Posté par . Évalué à  2 .

                      Les composants COM (utilises par les applis pour embarquer le navigateur), c'est en effet installe une fois sur le systeme (en simplifiant beaucoup, c'est pas tout a fait vrai).

                      Mais IE en lui meme (l'interface + le moteur HTML), c'est deployable en parallele et permet d'avoir plein de versions de IE tournant en meme temps.

                      Et ca marche en general pour d'autres applis (grace a ca: http://msdn.microsoft.com/en-us/library/ms682600%28VS.85%29.(...) )

                      Essaye encore...
                  • [^] # Re: Pas très simple.

                    Posté par (page perso) . Évalué à  2 .

                    Les distributions Linux aussi, quand ça a un sens. Par exemple le système de "slots" de Gentoo.

                    DLFP >> PCInpact > Numerama >> LinuxFr.org

            • [^] # Re: Pas très simple.

              Posté par . Évalué à  3 .

              J'adorerai que ça marche, mais foutre les libs, ça ne suffit pas dans tous les cas, cf mon commentaire plus haut :

              http://linuxfr.org/comments/1156169.html#1156169
      • [^] # Re: Pas très simple.

        Posté par . Évalué à  1 .

        La même version (FF4b4) marche sur les Windows de XP à 7, soit un support sur une tranche de 9 ans de l'OS

        Parce que les lib utilisées par FF4 sont les mêmes sur XP, VISTA et 7. Non ?
    • [^] # Re: Pas très simple.

      Posté par (page perso) . Évalué à  2 .

      Quoi ? Il y a des prérequis pour un logiciel ?

      Jamais vu cela dans aucun logiciel !

      Il pourrait au moins fournir une version de Xorg dans le tarball ... c'est honteux qu'il faille l'installer !

      (pour info ... la page des prérequis c'est ... ici : http://www.mozilla-europe.org/fr/firefox/system-requirements(...) )
      • [^] # Re: Pas très simple.

        Posté par (page perso) . Évalué à  1 .

        Tu démontres toi-même le problème.

        Tu as vu le pré-requis logiciel pour Windows et Mac? Une ligne (l'OS)
        Tu as vu le pré-requis pour Linux? l'OS + 4 lignes obligatoires + 4 lignes conseillées.

        Il pourrait au moins fournir une version de Xorg dans le tarball ... c'est honteux qu'il faille l'installer !

        L'utilisateur s'en fout de ce qu'il y a dans le tarball. Il souhaite en priorité que ça marche sur son OS. Après c'est à l'OS et le développeur de se mettre d'accord sur un minimum, mais sous Linux ça ne marche pas, il n'y a pas d'accord, alors le dév en chie (et l'utilisateur aussi)
        • [^] # Re: Pas très simple.

          Posté par (page perso) . Évalué à  4 .

          > pré-requis logiciel pour Windows et Mac? Une ligne (l'OS)

          Parce qu'il y a le toolkit graphique dans ... l'OS.

          > L'utilisateur s'en fout de ce qu'il y a dans le tarball. Il souhaite en priorité que ça marche sur son OS.

          Et c'est le cas s'il utilise déjà un firefox maintenu (les dépendances sont déjà résolues).

          Si je comprends bien, le soucis c'est que la notion d'OS n'est pas la même.

          Sous Windows OS = noyau + interface graphique + toolkit + navigateur web + logiciel de chat instantané + logiciels de courriels + ...

          Sous GNU/Linux ... ben OS = noyau (wouahhhh).

          Pour résoudre ton problème, il faudrait un toolkit officiel, Xorg dans le kernel et c'est tout.

          Qui (a part toi) se satisferait de cette solution ?
          • [^] # Re: Pas très simple.

            Posté par . Évalué à  6 .

            Sous GNU/Linux ... ben OS = noyau (wouahhhh).

            Mouarf, et le GNU (comme dans « système d'exploitation GNU »), il désigne quoi alors ?

            Le problème c'est que la notion d'« OS » est un peu plus politique et sociale que technique sous Linux, par rapport à Windows.

            Pourquoi est-ce que les applis proprios ou les binaires statiques (genre Firefox-beta) ne viennent pas avec leur propre copie de X, comme tu le fais remarquer plus haut ? C'est que ce dernier fait implicitement partie de l'OS pour une machine de bureau, car cette dernière ne peut remplir ses fonctions sans lui. On peut considérer que c'est aussi le cas pour Gtk (et Qt ?), et c'est probablement le raisonnement qui a mené Mozilla à ne pas inclure cette bibliothèque dans son archive de Firefox. À une époque, la LSB avait tenté de plus ou moins bien standardiser tout ça, mais je crois que c'est mort et enterré.

            Je me permets donc de te demander quelle est ta solution pour un développeur qui veut distribuer un binaire autonome qui fonctionne sous n'importe quelle distribution Linux, sachant qu'il ne peut pas reposer sur la présence de dépendances particulières puisque aucune ne fait partie de l'OS selon ta définition (à part le noyau, bien sûr ;-)), qu'il n'a pas le droit non plus de les coller avec puisque c'est moche ? C'est juste pas possible ?

            Dans ce cas qu'on ne se plaigne pas du manque de test, de la difficulté d'avoir du retour sur un soft en beta, etc.
            • [^] # Re: Pas très simple.

              Posté par (page perso) . Évalué à  0 .

              Ben, euh, en demandant des ... prérequis ... comme n'importe quel logiciel sous Windows (ou comme Mozilla, voir au dessus).
              • [^] # Re: Pas très simple.

                Posté par (page perso) . Évalué à  1 .

                Sauf que le pré-requis Windows est facile (tu as l'OS ou pas).
                Le pré-requis Linux est... incompréhensible pour l'utilisateur moyen.

                Cf ma remarque précédente, compte juste le nombre de lignes de pré-requis logiciel. Et après on s'étonne qu'il n'y a pas de beta-testeurs sous Linux, qu'il y a peu de monde sous Linux... Si les linuxiens ne mettent pas du leur en proposant une base simple, ben les dév' font avec ceux qui ont un OS plus facile à appréhender. Quand on met des bâton dans les roues en plus d'être déjà très peu nombreux au départ, il ne faut pas s'étonner qu'on s'occupe moins de cet OS.
                • [^] # Re: Pas très simple.

                  Posté par . Évalué à  1 .

                  il ne faut pas s'étonner qu'on s'occupe moins de cet OS.

                  Ma théorie :
                  — Ceux qui en ont quelque chose à foutre qu'on « s'occupe » de Linux ne codent rien pour
                  — Ceux qui codent n'en ont rien à foutre qu'on s'occupe de linux, et font ce qui les intéresse (et qui est en général assez loin de quelque chose qui fasse bander un commercial)

                  Ah si, dans la première catégorie, il y en a qui codent, mais parce qu'ils sont payés pour : étrangement, bien qu'on les loue comme les principaux contributeurs au libre (stats du kernel, qui ne sont pas représentatives de tout l'écosystème selon moi, mais passons) ils ne sont pas capables d'arriver à faire que linux te plaise selon tes critères de … de quoi déjà ? Être rétrocompatible sur 10 ans ? Tu m'étonnes que tous les contributeurs bénévoles s'en branlent …

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.